/*
 React
 react-dom-server.edge.production.min.js

 Copyright (c) Meta Platforms, Inc. and affiliates.

 This source code is licensed under the MIT license found in the
 LICENSE file in the root directory of this source tree.


 JS Implementation of MurmurHash3 (r136) (as of May 20, 2011)

 Copyright (c) 2011 Gary Court
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 SOFTWARE.
*/
'use strict';var ba=require("react"),ca=require("react-dom"),ha=Symbol.for("react.element"),ka=Symbol.for("react.portal"),la=Symbol.for("react.fragment"),na=Symbol.for("react.strict_mode"),oa=Symbol.for("react.profiler"),pa=Symbol.for("react.provider"),sa=Symbol.for("react.consumer"),ta=Symbol.for("react.context"),ua=Symbol.for("react.forward_ref"),Ba=Symbol.for("react.suspense"),Ca=Symbol.for("react.suspense_list"),Da=Symbol.for("react.memo"),Ea=Symbol.for("react.lazy"),Fa=Symbol.for("react.scope"),
Ga=Symbol.for("react.debug_trace_mode"),Ha=Symbol.for("react.offscreen"),Oa=Symbol.for("react.legacy_hidden"),Pa=Symbol.iterator,Qa=Array.isArray;
function Ra(a,b){var c=a.length&3;var d=a.length-c;var e=b;for(b=0;b<d;){var f=a.charCodeAt(b)&255|(a.charCodeAt(++b)&255)<<8|(a.charCodeAt(++b)&255)<<16|(a.charCodeAt(++b)&255)<<24;++b;f=3432918353*(f&65535)+((3432918353*(f>>>16)&65535)<<16)&4294967295;f=f<<15|f>>>17;f=461845907*(f&65535)+((461845907*(f>>>16)&65535)<<16)&4294967295;e^=f;e=e<<13|e>>>19;e=5*(e&65535)+((5*(e>>>16)&65535)<<16)&4294967295;e=(e&65535)+27492+(((e>>>16)+58964&65535)<<16)}f=0;switch(c){case 3:f^=(a.charCodeAt(b+2)&255)<<
16;case 2:f^=(a.charCodeAt(b+1)&255)<<8;case 1:f^=a.charCodeAt(b)&255,f=3432918353*(f&65535)+((3432918353*(f>>>16)&65535)<<16)&4294967295,f=f<<15|f>>>17,e^=461845907*(f&65535)+((461845907*(f>>>16)&65535)<<16)&4294967295}e^=a.length;e^=e>>>16;e=2246822507*(e&65535)+((2246822507*(e>>>16)&65535)<<16)&4294967295;e^=e>>>13;e=3266489909*(e&65535)+((3266489909*(e>>>16)&65535)<<16)&4294967295;return(e^e>>>16)>>>0}var p=null,q=0;
function t(a,b){if(0!==b.byteLength)if(2048<b.byteLength)0<q&&(a.enqueue(new Uint8Array(p.buffer,0,q)),p=new Uint8Array(2048),q=0),a.enqueue(b);else{var c=p.length-q;c<b.byteLength&&(0===c?a.enqueue(p):(p.set(b.subarray(0,c),q),a.enqueue(p),b=b.subarray(c)),p=new Uint8Array(2048),q=0);p.set(b,q);q+=b.byteLength}}function w(a,b){t(a,b);return!0}function Sa(a){p&&0<q&&(a.enqueue(new Uint8Array(p.buffer,0,q)),p=null,q=0)}var Ta=new TextEncoder;function y(a){return Ta.encode(a)}
function z(a){return Ta.encode(a)}function eb(a,b){"function"===typeof a.error?a.error(b):a.close()}
var B=Object.assign,E=Object.prototype.hasOwnProperty,lb=RegExp("^[:A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD][:A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD\\-.0-9\\u00B7\\u0300-\\u036F\\u203F-\\u2040]*$"),mb={},nb={};
function ob(a){if(E.call(nb,a))return!0;if(E.call(mb,a))return!1;if(lb.test(a))return nb[a]=!0;mb[a]=!0;return!1}
var pb=new Set("animationIterationCount aspectRatio borderImageOutset borderImageSlice borderImageWidth boxFlex boxFlexGroup boxOrdinalGroup columnCount columns flex flexGrow flexPositive flexShrink flexNegative flexOrder gridArea gridRow gridRowEnd gridRowSpan gridRowStart gridColumn gridColumnEnd gridColumnSpan gridColumnStart fontWeight lineClamp lineHeight opacity order orphans scale tabSize widows zIndex zoom fillOpacity floodOpacity stopOpacity strokeDasharray strokeDashoffset strokeMiterlimit strokeOpacity strokeWidth MozAnimationIterationCount MozBoxFlex MozBoxFlexGroup MozLineClamp msAnimationIterationCount msFlex msZoom msFlexGrow msFlexNegative msFlexOrder msFlexPositive msFlexShrink msGridColumn msGridColumnSpan msGridRow msGridRowSpan WebkitAnimationIterationCount WebkitBoxFlex WebKitBoxFlexGroup WebkitBoxOrdinalGroup WebkitColumnCount WebkitColumns WebkitFlex WebkitFlexGrow WebkitFlexPositive WebkitFlexShrink WebkitLineClamp".split(" ")),qb=
new Map([["acceptCharset","accept-charset"],["htmlFor","for"],["httpEquiv","http-equiv"],["crossOrigin","crossorigin"],["accentHeight","accent-height"],["alignmentBaseline","alignment-baseline"],["arabicForm","arabic-form"],["baselineShift","baseline-shift"],["capHeight","cap-height"],["clipPath","clip-path"],["clipRule","clip-rule"],["colorInterpolation","color-interpolation"],["colorInterpolationFilters","color-interpolation-filters"],["colorProfile","color-profile"],["colorRendering","color-rendering"],
["dominantBaseline","dominant-baseline"],["enableBackground","enable-background"],["fillOpacity","fill-opacity"],["fillRule","fill-rule"],["floodColor","flood-color"],["floodOpacity","flood-opacity"],["fontFamily","font-family"],["fontSize","font-size"],["fontSizeAdjust","font-size-adjust"],["fontStretch","font-stretch"],["fontStyle","font-style"],["fontVariant","font-variant"],["fontWeight","font-weight"],["glyphName","glyph-name"],["glyphOrientationHorizontal","glyph-orientation-horizontal"],["glyphOrientationVertical",
"glyph-orientation-vertical"],["horizAdvX","horiz-adv-x"],["horizOriginX","horiz-origin-x"],["imageRendering","image-rendering"],["letterSpacing","letter-spacing"],["lightingColor","lighting-color"],["markerEnd","marker-end"],["markerMid","marker-mid"],["markerStart","marker-start"],["overlinePosition","overline-position"],["overlineThickness","overline-thickness"],["paintOrder","paint-order"],["panose-1","panose-1"],["pointerEvents","pointer-events"],["renderingIntent","rendering-intent"],["shapeRendering",
"shape-rendering"],["stopColor","stop-color"],["stopOpacity","stop-opacity"],["strikethroughPosition","strikethrough-position"],["strikethroughThickness","strikethrough-thickness"],["strokeDasharray","stroke-dasharray"],["strokeDashoffset","stroke-dashoffset"],["strokeLinecap","stroke-linecap"],["strokeLinejoin","stroke-linejoin"],["strokeMiterlimit","stroke-miterlimit"],["strokeOpacity","stroke-opacity"],["strokeWidth","stroke-width"],["textAnchor","text-anchor"],["textDecoration","text-decoration"],
["textRendering","text-rendering"],["transformOrigin","transform-origin"],["underlinePosition","underline-position"],["underlineThickness","underline-thickness"],["unicodeBidi","unicode-bidi"],["unicodeRange","unicode-range"],["unitsPerEm","units-per-em"],["vAlphabetic","v-alphabetic"],["vHanging","v-hanging"],["vIdeographic","v-ideographic"],["vMathematical","v-mathematical"],["vectorEffect","vector-effect"],["vertAdvY","vert-adv-y"],["vertOriginX","vert-origin-x"],["vertOriginY","vert-origin-y"],
["wordSpacing","word-spacing"],["writingMode","writing-mode"],["xmlnsXlink","xmlns:xlink"],["xHeight","x-height"]]),rb=/["'&<>]/;
function F(a){if("boolean"===typeof a||"number"===typeof a||"bigint"===typeof a)return""+a;a=""+a;var b=rb.exec(a);if(b){var c="",d,e=0;for(d=b.index;d<a.length;d++){switch(a.charCodeAt(d)){case 34:b="&quot;";break;case 38:b="&amp;";break;case 39:b="&#x27;";break;case 60:b="&lt;";break;case 62:b="&gt;";break;default:continue}e!==d&&(c+=a.slice(e,d));e=d+1;c+=b}a=e!==d?c+a.slice(e,d):c}return a}var sb=/([A-Z])/g,tb=/^ms-/,ub=/^[\u0000-\u001F ]*j[\r\n\t]*a[\r\n\t]*v[\r\n\t]*a[\r\n\t]*s[\r\n\t]*c[\r\n\t]*r[\r\n\t]*i[\r\n\t]*p[\r\n\t]*t[\r\n\t]*:/i;
function vb(a){return ub.test(""+a)?"javascript:throw new Error('React has blocked a javascript: URL as a security precaution.')":a}var wb=ba.__CLIENT_INTERNALS_DO_NOT_USE_OR_WARN_USERS_THEY_CANNOT_UPGRADE,xb=ca.__DOM_INTERNALS_DO_NOT_USE_OR_WARN_USERS_THEY_CANNOT_UPGRADE,yb={pending:!1,data:null,method:null,action:null},zb=xb.d;xb.d={f:zb.f,r:zb.r,D:Lb,C:Mb,L:Nb,m:Ob,X:Pb,S:Qb,M:Rb};var H=[];z('"></template>');
var Sb=z("<script>"),Tb=z("\x3c/script>"),Ub=z('<script src="'),Vb=z('<script type="module" src="'),Wb=z('" nonce="'),Xb=z('" integrity="'),Yb=z('" crossorigin="'),Zb=z('" async="">\x3c/script>'),$b=/(<\/|<)(s)(cript)/gi;function ac(a,b,c,d){return""+b+("s"===c?"\\u0073":"\\u0053")+d}var bc=z('<script type="importmap">'),cc=z("\x3c/script>");
function dc(a,b,c,d,e,f){var h=void 0===b?Sb:z('<script nonce="'+F(b)+'">'),k=a.idPrefix;c=[];var g=a.bootstrapScriptContent,l=a.bootstrapScripts,m=a.bootstrapModules;void 0!==g&&c.push(h,y((""+g).replace($b,ac)),Tb);g=[];void 0!==d&&(g.push(bc),g.push(y((""+JSON.stringify(d)).replace($b,ac))),g.push(cc));d=e?{preconnects:"",fontPreloads:"",highImagePreloads:"",remainingCapacity:"number"===typeof f?f:2E3}:null;e={placeholderPrefix:z(k+"P:"),segmentPrefix:z(k+"S:"),boundaryPrefix:z(k+"B:"),startInlineScript:h,
htmlChunks:null,headChunks:null,externalRuntimeScript:null,bootstrapChunks:c,importMapChunks:g,onHeaders:e,headers:d,resets:{font:{},dns:{},connect:{default:{},anonymous:{},credentials:{}},image:{},style:{}},charsetChunks:[],viewportChunks:[],hoistableChunks:[],preconnects:new Set,fontPreloads:new Set,highImagePreloads:new Set,styles:new Map,bootstrapScripts:new Set,scripts:new Set,bulkPreloads:new Set,preloads:{images:new Map,stylesheets:new Map,scripts:new Map,moduleScripts:new Map},nonce:b,hoistableState:null,
stylesToHoist:!1};if(void 0!==l)for(d=0;d<l.length;d++){var n=l[d];k=h=void 0;g={rel:"preload",as:"script",fetchPriority:"low",nonce:b};"string"===typeof n?g.href=f=n:(g.href=f=n.src,g.integrity=k="string"===typeof n.integrity?n.integrity:void 0,g.crossOrigin=h="string"===typeof n||null==n.crossOrigin?void 0:"use-credentials"===n.crossOrigin?"use-credentials":"");n=a;var r=f;n.scriptResources[r]=null;n.moduleScriptResources[r]=null;n=[];I(n,g);e.bootstrapScripts.add(n);c.push(Ub,y(F(f)));b&&c.push(Wb,
y(F(b)));"string"===typeof k&&c.push(Xb,y(F(k)));"string"===typeof h&&c.push(Yb,y(F(h)));c.push(Zb)}if(void 0!==m)for(l=0;l<m.length;l++)g=m[l],h=f=void 0,k={rel:"modulepreload",fetchPriority:"low",nonce:b},"string"===typeof g?k.href=d=g:(k.href=d=g.src,k.integrity=h="string"===typeof g.integrity?g.integrity:void 0,k.crossOrigin=f="string"===typeof g||null==g.crossOrigin?void 0:"use-credentials"===g.crossOrigin?"use-credentials":""),g=a,n=d,g.scriptResources[n]=null,g.moduleScriptResources[n]=null,
g=[],I(g,k),e.bootstrapScripts.add(g),c.push(Vb,y(F(d))),b&&c.push(Wb,y(F(b))),"string"===typeof h&&c.push(Xb,y(F(h))),"string"===typeof f&&c.push(Yb,y(F(f))),c.push(Zb);return e}
function ec(a,b,c,d,e){return{idPrefix:void 0===a?"":a,nextFormID:0,streamingFormat:0,bootstrapScriptContent:c,bootstrapScripts:d,bootstrapModules:e,instructions:0,hasBody:!1,hasHtml:!1,unknownResources:{},dnsResources:{},connectResources:{default:{},anonymous:{},credentials:{}},imageResources:{},styleResources:{},scriptResources:{},moduleUnknownResources:{},moduleScriptResources:{}}}function M(a,b,c){return{insertionMode:a,selectedValue:b,tagScope:c}}
function fc(a){return M("http://www.w3.org/2000/svg"===a?3:"http://www.w3.org/1998/Math/MathML"===a?4:0,null,0)}
function gc(a,b,c){switch(b){case "noscript":return M(2,null,a.tagScope|1);case "select":return M(2,null!=c.value?c.value:c.defaultValue,a.tagScope);case "svg":return M(3,null,a.tagScope);case "picture":return M(2,null,a.tagScope|2);case "math":return M(4,null,a.tagScope);case "foreignObject":return M(2,null,a.tagScope);case "table":return M(5,null,a.tagScope);case "thead":case "tbody":case "tfoot":return M(6,null,a.tagScope);case "colgroup":return M(8,null,a.tagScope);case "tr":return M(7,null,a.tagScope)}return 5<=
a.insertionMode?M(2,null,a.tagScope):0===a.insertionMode?"html"===b?M(1,null,a.tagScope):M(2,null,a.tagScope):1===a.insertionMode?M(2,null,a.tagScope):a}var hc=z("\x3c!-- --\x3e");function ic(a,b,c,d){if(""===b)return d;d&&a.push(hc);a.push(y(F(b)));return!0}var jc=new Map,kc=z(' style="'),lc=z(":"),mc=z(";");
function nc(a,b){if("object"!==typeof b)throw Error("The `style` prop expects a mapping from style properties to values, not a string. For example, style={{marginRight: spacing + 'em'}} when using JSX.");var c=!0,d;for(d in b)if(E.call(b,d)){var e=b[d];if(null!=e&&"boolean"!==typeof e&&""!==e){if(0===d.indexOf("--")){var f=y(F(d));e=y(F((""+e).trim()))}else f=jc.get(d),void 0===f&&(f=z(F(d.replace(sb,"-$1").toLowerCase().replace(tb,"-ms-"))),jc.set(d,f)),e="number"===typeof e?0===e||pb.has(d)?y(""+
e):y(e+"px"):y(F((""+e).trim()));c?(c=!1,a.push(kc,f,lc,e)):a.push(mc,f,lc,e)}}c||a.push(P)}var Q=z(" "),Ec=z('="'),P=z('"'),Fc=z('=""');function Gc(a,b,c){c&&"function"!==typeof c&&"symbol"!==typeof c&&a.push(Q,y(b),Fc)}function R(a,b,c){"function"!==typeof c&&"symbol"!==typeof c&&"boolean"!==typeof c&&a.push(Q,y(b),Ec,y(F(c)),P)}var Hc=z(F("javascript:throw new Error('React form unexpectedly submitted.')")),Ic=z('<input type="hidden"');
function Jc(a,b){this.push(Ic);if("string"!==typeof a)throw Error("File/Blob fields are not yet supported in progressive forms. It probably means you are closing over binary data or FormData in a Server Action.");R(this,"name",b);R(this,"value",a);this.push(Kc)}function Lc(a,b){if("function"===typeof b.$$FORM_ACTION){var c=a.nextFormID++;a=a.idPrefix+c;try{return b.$$FORM_ACTION(a)}catch(d){if("object"===typeof d&&null!==d&&"function"===typeof d.then)throw d;}}return null}
function Mc(a,b,c,d,e,f,h,k){var g=null;if("function"===typeof d){var l=Lc(b,d);null!==l?(k=l.name,d=l.action||"",e=l.encType,f=l.method,h=l.target,g=l.data):(a.push(Q,y("formAction"),Ec,Hc,P),h=f=e=d=k=null,Nc(b,c))}null!=k&&S(a,"name",k);null!=d&&S(a,"formAction",d);null!=e&&S(a,"formEncType",e);null!=f&&S(a,"formMethod",f);null!=h&&S(a,"formTarget",h);return g}
function S(a,b,c){switch(b){case "className":R(a,"class",c);break;case "tabIndex":R(a,"tabindex",c);break;case "dir":case "role":case "viewBox":case "width":case "height":R(a,b,c);break;case "style":nc(a,c);break;case "src":case "href":if(""===c)break;case "action":case "formAction":if(null==c||"function"===typeof c||"symbol"===typeof c||"boolean"===typeof c)break;c=vb(""+c);a.push(Q,y(b),Ec,y(F(c)),P);break;case "defaultValue":case "defaultChecked":case "innerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "ref":break;
case "autoFocus":case "multiple":case "muted":Gc(a,b.toLowerCase(),c);break;case "xlinkHref":if("function"===typeof c||"symbol"===typeof c||"boolean"===typeof c)break;c=vb(""+c);a.push(Q,y("xlink:href"),Ec,y(F(c)),P);break;case "contentEditable":case "spellCheck":case "draggable":case "value":case "autoReverse":case "externalResourcesRequired":case "focusable":case "preserveAlpha":"function"!==typeof c&&"symbol"!==typeof c&&a.push(Q,y(b),Ec,y(F(c)),P);break;case "inert":case "allowFullScreen":case "async":case "autoPlay":case "controls":case "default":case "defer":case "disabled":case "disablePictureInPicture":case "disableRemotePlayback":case "formNoValidate":case "hidden":case "loop":case "noModule":case "noValidate":case "open":case "playsInline":case "readOnly":case "required":case "reversed":case "scoped":case "seamless":case "itemScope":c&&
"function"!==typeof c&&"symbol"!==typeof c&&a.push(Q,y(b),Fc);break;case "capture":case "download":!0===c?a.push(Q,y(b),Fc):!1!==c&&"function"!==typeof c&&"symbol"!==typeof c&&a.push(Q,y(b),Ec,y(F(c)),P);break;case "cols":case "rows":case "size":case "span":"function"!==typeof c&&"symbol"!==typeof c&&!isNaN(c)&&1<=c&&a.push(Q,y(b),Ec,y(F(c)),P);break;case "rowSpan":case "start":"function"===typeof c||"symbol"===typeof c||isNaN(c)||a.push(Q,y(b),Ec,y(F(c)),P);break;case "xlinkActuate":R(a,"xlink:actuate",
c);break;case "xlinkArcrole":R(a,"xlink:arcrole",c);break;case "xlinkRole":R(a,"xlink:role",c);break;case "xlinkShow":R(a,"xlink:show",c);break;case "xlinkTitle":R(a,"xlink:title",c);break;case "xlinkType":R(a,"xlink:type",c);break;case "xmlBase":R(a,"xml:base",c);break;case "xmlLang":R(a,"xml:lang",c);break;case "xmlSpace":R(a,"xml:space",c);break;default:if(!(2<b.length)||"o"!==b[0]&&"O"!==b[0]||"n"!==b[1]&&"N"!==b[1])if(b=qb.get(b)||b,ob(b)){switch(typeof c){case "function":case "symbol":return;
case "boolean":var d=b.toLowerCase().slice(0,5);if("data-"!==d&&"aria-"!==d)return}a.push(Q,y(b),Ec,y(F(c)),P)}}}var T=z(">"),Kc=z("/>");
function Oc(a,b,c){if(null!=b){if(null!=c)throw Error("Can only set one of `children` or `props.dangerouslySetInnerHTML`.");if("object"!==typeof b||!("__html"in b))throw Error("`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. Please visit https://react.dev/link/dangerously-set-inner-html for more information.");b=b.__html;null!==b&&void 0!==b&&a.push(y(""+b))}}function Pc(a){var b="";ba.Children.forEach(a,function(c){null!=c&&(b+=c)});return b}var Qc=z(' selected=""'),Rc=z('addEventListener("submit",function(a){if(!a.defaultPrevented){var c=a.target,d=a.submitter,e=c.action,b=d;if(d){var f=d.getAttribute("formAction");null!=f&&(e=f,b=null)}"javascript:throw new Error(\'React form unexpectedly submitted.\')"===e&&(a.preventDefault(),b?(a=document.createElement("input"),a.name=b.name,a.value=b.value,b.parentNode.insertBefore(a,b),b=new FormData(c),a.parentNode.removeChild(a)):b=new FormData(c),a=c.ownerDocument||c,(a.$$reactFormReplay=a.$$reactFormReplay||[]).push(c,d,b))}});');
function Nc(a,b){0===(a.instructions&16)&&(a.instructions|=16,b.bootstrapChunks.unshift(b.startInlineScript,Rc,Tb))}var Sc=z("\x3c!--F!--\x3e"),Tc=z("\x3c!--F--\x3e");function I(a,b){a.push(U("link"));for(var c in b)if(E.call(b,c)){var d=b[c];if(null!=d)switch(c){case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");default:S(a,c,d)}}a.push(Kc);return null}
function Uc(a,b,c){a.push(U(c));for(var d in b)if(E.call(b,d)){var e=b[d];if(null!=e)switch(d){case "children":case "dangerouslySetInnerHTML":throw Error(c+" is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");default:S(a,d,e)}}a.push(Kc);return null}
function Vc(a,b){a.push(U("title"));var c=null,d=null,e;for(e in b)if(E.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:S(a,e,f)}}a.push(T);b=Array.isArray(c)?2>c.length?c[0]:null:c;"function"!==typeof b&&"symbol"!==typeof b&&null!==b&&void 0!==b&&a.push(y(F(""+b)));Oc(a,d,c);a.push(Wc("title"));return null}
function Xc(a,b){a.push(U("script"));var c=null,d=null,e;for(e in b)if(E.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:S(a,e,f)}}a.push(T);Oc(a,d,c);"string"===typeof c&&a.push(y(F(c)));a.push(Wc("script"));return null}
function Yc(a,b,c){a.push(U(c));var d=c=null,e;for(e in b)if(E.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:S(a,e,f)}}a.push(T);Oc(a,d,c);return"string"===typeof c?(a.push(y(F(c))),null):c}var Zc=z("\n"),$c=/^[a-zA-Z][a-zA-Z:_\.\-\d]*$/,ad=new Map;function U(a){var b=ad.get(a);if(void 0===b){if(!$c.test(a))throw Error("Invalid tag: "+a);b=z("<"+a);ad.set(a,b)}return b}var bd=z("<!DOCTYPE html>");
function cd(a,b,c,d,e,f,h,k,g){switch(b){case "div":case "span":case "svg":case "path":break;case "a":a.push(U("a"));var l=null,m=null,n;for(n in c)if(E.call(c,n)){var r=c[n];if(null!=r)switch(n){case "children":l=r;break;case "dangerouslySetInnerHTML":m=r;break;case "href":""===r?R(a,"href",""):S(a,n,r);break;default:S(a,n,r)}}a.push(T);Oc(a,m,l);if("string"===typeof l){a.push(y(F(l)));var u=null}else u=l;return u;case "g":case "p":case "li":break;case "select":a.push(U("select"));var x=null,v=null,
C;for(C in c)if(E.call(c,C)){var J=c[C];if(null!=J)switch(C){case "children":x=J;break;case "dangerouslySetInnerHTML":v=J;break;case "defaultValue":case "value":break;default:S(a,C,J)}}a.push(T);Oc(a,v,x);return x;case "option":var Z=h.selectedValue;a.push(U("option"));var ia=null,da=null,A=null,D=null,V;for(V in c)if(E.call(c,V)){var aa=c[V];if(null!=aa)switch(V){case "children":ia=aa;break;case "selected":A=aa;break;case "dangerouslySetInnerHTML":D=aa;break;case "value":da=aa;default:S(a,V,aa)}}if(null!=
Z){var K=null!==da?""+da:Pc(ia);if(Qa(Z))for(var N=0;N<Z.length;N++){if(""+Z[N]===K){a.push(Qc);break}}else""+Z===K&&a.push(Qc)}else A&&a.push(Qc);a.push(T);Oc(a,D,ia);return ia;case "textarea":a.push(U("textarea"));var O=null,oc=null,Ia=null,Ua;for(Ua in c)if(E.call(c,Ua)){var Va=c[Ua];if(null!=Va)switch(Ua){case "children":Ia=Va;break;case "value":O=Va;break;case "defaultValue":oc=Va;break;case "dangerouslySetInnerHTML":throw Error("`dangerouslySetInnerHTML` does not make sense on <textarea>.");
default:S(a,Ua,Va)}}null===O&&null!==oc&&(O=oc);a.push(T);if(null!=Ia){if(null!=O)throw Error("If you supply `defaultValue` on a <textarea>, do not pass children.");if(Qa(Ia)){if(1<Ia.length)throw Error("<textarea> can only have at most one child.");O=""+Ia[0]}O=""+Ia}"string"===typeof O&&"\n"===O[0]&&a.push(Zc);null!==O&&a.push(y(F(""+O)));return null;case "input":a.push(U("input"));var Md=null,Nd=null,Od=null,Pd=null,Qd=null,pc=null,qc=null,rc=null,sc=null,Wa;for(Wa in c)if(E.call(c,Wa)){var ea=
c[Wa];if(null!=ea)switch(Wa){case "children":case "dangerouslySetInnerHTML":throw Error("input is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");case "name":Md=ea;break;case "formAction":Nd=ea;break;case "formEncType":Od=ea;break;case "formMethod":Pd=ea;break;case "formTarget":Qd=ea;break;case "defaultChecked":sc=ea;break;case "defaultValue":qc=ea;break;case "checked":rc=ea;break;case "value":pc=ea;break;default:S(a,Wa,ea)}}var Rd=Mc(a,d,e,Nd,Od,Pd,Qd,Md);
null!==rc?Gc(a,"checked",rc):null!==sc&&Gc(a,"checked",sc);null!==pc?S(a,"value",pc):null!==qc&&S(a,"value",qc);a.push(Kc);null!=Rd&&Rd.forEach(Jc,a);return null;case "button":a.push(U("button"));var Xa=null,Sd=null,Td=null,Ud=null,Vd=null,Wd=null,Xd=null,Ya;for(Ya in c)if(E.call(c,Ya)){var ma=c[Ya];if(null!=ma)switch(Ya){case "children":Xa=ma;break;case "dangerouslySetInnerHTML":Sd=ma;break;case "name":Td=ma;break;case "formAction":Ud=ma;break;case "formEncType":Vd=ma;break;case "formMethod":Wd=
ma;break;case "formTarget":Xd=ma;break;default:S(a,Ya,ma)}}var Yd=Mc(a,d,e,Ud,Vd,Wd,Xd,Td);a.push(T);null!=Yd&&Yd.forEach(Jc,a);Oc(a,Sd,Xa);if("string"===typeof Xa){a.push(y(F(Xa)));var Zd=null}else Zd=Xa;return Zd;case "form":a.push(U("form"));var Za=null,$d=null,va=null,$a=null,ab=null,bb=null,cb;for(cb in c)if(E.call(c,cb)){var qa=c[cb];if(null!=qa)switch(cb){case "children":Za=qa;break;case "dangerouslySetInnerHTML":$d=qa;break;case "action":va=qa;break;case "encType":$a=qa;break;case "method":ab=
qa;break;case "target":bb=qa;break;default:S(a,cb,qa)}}var tc=null,uc=null;if("function"===typeof va){var wa=Lc(d,va);null!==wa?(va=wa.action||"",$a=wa.encType,ab=wa.method,bb=wa.target,tc=wa.data,uc=wa.name):(a.push(Q,y("action"),Ec,Hc,P),bb=ab=$a=va=null,Nc(d,e))}null!=va&&S(a,"action",va);null!=$a&&S(a,"encType",$a);null!=ab&&S(a,"method",ab);null!=bb&&S(a,"target",bb);a.push(T);null!==uc&&(a.push(Ic),R(a,"name",uc),a.push(Kc),null!=tc&&tc.forEach(Jc,a));Oc(a,$d,Za);if("string"===typeof Za){a.push(y(F(Za)));
var ae=null}else ae=Za;return ae;case "menuitem":a.push(U("menuitem"));for(var Ab in c)if(E.call(c,Ab)){var be=c[Ab];if(null!=be)switch(Ab){case "children":case "dangerouslySetInnerHTML":throw Error("menuitems cannot have `children` nor `dangerouslySetInnerHTML`.");default:S(a,Ab,be)}}a.push(T);return null;case "title":if(3===h.insertionMode||h.tagScope&1||null!=c.itemProp)var vc=Vc(a,c);else g?vc=null:(Vc(e.hoistableChunks,c),vc=void 0);return vc;case "link":var Mf=c.rel,ra=c.href,Bb=c.precedence;
if(3===h.insertionMode||h.tagScope&1||null!=c.itemProp||"string"!==typeof Mf||"string"!==typeof ra||""===ra){I(a,c);var db=null}else if("stylesheet"===c.rel)if("string"!==typeof Bb||null!=c.disabled||c.onLoad||c.onError)db=I(a,c);else{var Ja=e.styles.get(Bb),Cb=d.styleResources.hasOwnProperty(ra)?d.styleResources[ra]:void 0;if(null!==Cb){d.styleResources[ra]=null;Ja||(Ja={precedence:y(F(Bb)),rules:[],hrefs:[],sheets:new Map},e.styles.set(Bb,Ja));var Db={state:0,props:B({},c,{"data-precedence":c.precedence,
precedence:null})};if(Cb){2===Cb.length&&dd(Db.props,Cb);var wc=e.preloads.stylesheets.get(ra);wc&&0<wc.length?wc.length=0:Db.state=1}Ja.sheets.set(ra,Db);f&&f.stylesheets.add(Db)}else if(Ja){var ce=Ja.sheets.get(ra);ce&&f&&f.stylesheets.add(ce)}k&&a.push(hc);db=null}else c.onLoad||c.onError?db=I(a,c):(k&&a.push(hc),db=g?null:I(e.hoistableChunks,c));return db;case "script":var xc=c.async;if("string"!==typeof c.src||!c.src||!xc||"function"===typeof xc||"symbol"===typeof xc||c.onLoad||c.onError||3===
h.insertionMode||h.tagScope&1||null!=c.itemProp)var de=Xc(a,c);else{var Eb=c.src;if("module"===c.type){var Fb=d.moduleScriptResources;var ee=e.preloads.moduleScripts}else Fb=d.scriptResources,ee=e.preloads.scripts;var Gb=Fb.hasOwnProperty(Eb)?Fb[Eb]:void 0;if(null!==Gb){Fb[Eb]=null;var yc=c;if(Gb){2===Gb.length&&(yc=B({},c),dd(yc,Gb));var fe=ee.get(Eb);fe&&(fe.length=0)}var ge=[];e.scripts.add(ge);Xc(ge,yc)}k&&a.push(hc);de=null}return de;case "style":var Hb=c.precedence,xa=c.href;if(3===h.insertionMode||
h.tagScope&1||null!=c.itemProp||"string"!==typeof Hb||"string"!==typeof xa||""===xa){a.push(U("style"));var Ka=null,he=null,fb;for(fb in c)if(E.call(c,fb)){var Ib=c[fb];if(null!=Ib)switch(fb){case "children":Ka=Ib;break;case "dangerouslySetInnerHTML":he=Ib;break;default:S(a,fb,Ib)}}a.push(T);var gb=Array.isArray(Ka)?2>Ka.length?Ka[0]:null:Ka;"function"!==typeof gb&&"symbol"!==typeof gb&&null!==gb&&void 0!==gb&&a.push(y(F(""+gb)));Oc(a,he,Ka);a.push(Wc("style"));var ie=null}else{var ya=e.styles.get(Hb);
if(null!==(d.styleResources.hasOwnProperty(xa)?d.styleResources[xa]:void 0)){d.styleResources[xa]=null;ya?ya.hrefs.push(y(F(xa))):(ya={precedence:y(F(Hb)),rules:[],hrefs:[y(F(xa))],sheets:new Map},e.styles.set(Hb,ya));var je=ya.rules,La=null,ke=null,Jb;for(Jb in c)if(E.call(c,Jb)){var zc=c[Jb];if(null!=zc)switch(Jb){case "children":La=zc;break;case "dangerouslySetInnerHTML":ke=zc}}var hb=Array.isArray(La)?2>La.length?La[0]:null:La;"function"!==typeof hb&&"symbol"!==typeof hb&&null!==hb&&void 0!==
hb&&je.push(y(F(""+hb)));Oc(je,ke,La)}ya&&f&&f.styles.add(ya);k&&a.push(hc);ie=void 0}return ie;case "meta":if(3===h.insertionMode||h.tagScope&1||null!=c.itemProp)var le=Uc(a,c,"meta");else k&&a.push(hc),le=g?null:"string"===typeof c.charSet?Uc(e.charsetChunks,c,"meta"):"viewport"===c.name?Uc(e.viewportChunks,c,"meta"):Uc(e.hoistableChunks,c,"meta");return le;case "listing":case "pre":a.push(U(b));var ib=null,jb=null,kb;for(kb in c)if(E.call(c,kb)){var Kb=c[kb];if(null!=Kb)switch(kb){case "children":ib=
Kb;break;case "dangerouslySetInnerHTML":jb=Kb;break;default:S(a,kb,Kb)}}a.push(T);if(null!=jb){if(null!=ib)throw Error("Can only set one of `children` or `props.dangerouslySetInnerHTML`.");if("object"!==typeof jb||!("__html"in jb))throw Error("`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. Please visit https://react.dev/link/dangerously-set-inner-html for more information.");var za=jb.__html;null!==za&&void 0!==za&&("string"===typeof za&&0<za.length&&"\n"===za[0]?a.push(Zc,y(za)):
a.push(y(""+za)))}"string"===typeof ib&&"\n"===ib[0]&&a.push(Zc);return ib;case "img":var L=c.src,G=c.srcSet;if(!("lazy"===c.loading||!L&&!G||"string"!==typeof L&&null!=L||"string"!==typeof G&&null!=G)&&"low"!==c.fetchPriority&&!1===!!(h.tagScope&3)&&("string"!==typeof L||":"!==L[4]||"d"!==L[0]&&"D"!==L[0]||"a"!==L[1]&&"A"!==L[1]||"t"!==L[2]&&"T"!==L[2]||"a"!==L[3]&&"A"!==L[3])&&("string"!==typeof G||":"!==G[4]||"d"!==G[0]&&"D"!==G[0]||"a"!==G[1]&&"A"!==G[1]||"t"!==G[2]&&"T"!==G[2]||"a"!==G[3]&&"A"!==
G[3])){var me="string"===typeof c.sizes?c.sizes:void 0,Ma=G?G+"\n"+(me||""):L,Ac=e.preloads.images,Aa=Ac.get(Ma);if(Aa){if("high"===c.fetchPriority||10>e.highImagePreloads.size)Ac.delete(Ma),e.highImagePreloads.add(Aa)}else if(!d.imageResources.hasOwnProperty(Ma)){d.imageResources[Ma]=H;var Bc=c.crossOrigin;var ne="string"===typeof Bc?"use-credentials"===Bc?Bc:"":void 0;var ja=e.headers,Cc;ja&&0<ja.remainingCapacity&&("high"===c.fetchPriority||500>ja.highImagePreloads.length)&&(Cc=ed(L,"image",{imageSrcSet:c.srcSet,
imageSizes:c.sizes,crossOrigin:ne,integrity:c.integrity,nonce:c.nonce,type:c.type,fetchPriority:c.fetchPriority,referrerPolicy:c.refererPolicy}),2<=(ja.remainingCapacity-=Cc.length))?(e.resets.image[Ma]=H,ja.highImagePreloads&&(ja.highImagePreloads+=", "),ja.highImagePreloads+=Cc):(Aa=[],I(Aa,{rel:"preload",as:"image",href:G?void 0:L,imageSrcSet:G,imageSizes:me,crossOrigin:ne,integrity:c.integrity,type:c.type,fetchPriority:c.fetchPriority,referrerPolicy:c.referrerPolicy}),"high"===c.fetchPriority||
10>e.highImagePreloads.size?e.highImagePreloads.add(Aa):(e.bulkPreloads.add(Aa),Ac.set(Ma,Aa)))}}return Uc(a,c,"img");case "base":case "area":case "br":case "col":case "embed":case "hr":case "keygen":case "param":case "source":case "track":case "wbr":return Uc(a,c,b);case "annotation-xml":case "color-profile":case "font-face":case "font-face-src":case "font-face-uri":case "font-face-format":case "font-face-name":case "missing-glyph":break;case "head":if(2>h.insertionMode&&null===e.headChunks){e.headChunks=
[];var oe=Yc(e.headChunks,c,"head")}else oe=Yc(a,c,"head");return oe;case "html":if(0===h.insertionMode&&null===e.htmlChunks){e.htmlChunks=[bd];var pe=Yc(e.htmlChunks,c,"html")}else pe=Yc(a,c,"html");return pe;default:if(-1!==b.indexOf("-")){a.push(U(b));var Dc=null,qe=null,Na;for(Na in c)if(E.call(c,Na)){var fa=c[Na];if(null!=fa){var re=Na;switch(Na){case "children":Dc=fa;break;case "dangerouslySetInnerHTML":qe=fa;break;case "style":nc(a,fa);break;case "suppressContentEditableWarning":case "suppressHydrationWarning":case "ref":break;
case "className":re="class";default:if(ob(Na)&&"function"!==typeof fa&&"symbol"!==typeof fa&&!1!==fa){if(!0===fa)fa="";else if("object"===typeof fa)continue;a.push(Q,y(re),Ec,y(F(fa)),P)}}}}a.push(T);Oc(a,qe,Dc);return Dc}}return Yc(a,c,b)}var fd=new Map;function Wc(a){var b=fd.get(a);void 0===b&&(b=z("</"+a+">"),fd.set(a,b));return b}function gd(a,b){b=b.bootstrapChunks;for(var c=0;c<b.length-1;c++)t(a,b[c]);return c<b.length?(c=b[c],b.length=0,w(a,c)):!0}
var hd=z('<template id="'),id=z('"></template>'),jd=z("\x3c!--$--\x3e"),kd=z('\x3c!--$?--\x3e<template id="'),ld=z('"></template>'),md=z("\x3c!--$!--\x3e"),nd=z("\x3c!--/$--\x3e"),od=z("<template"),pd=z('"'),qd=z(' data-dgst="');z(' data-msg="');z(' data-stck="');z(' data-cstck="');var rd=z("></template>");function sd(a,b,c){t(a,kd);if(null===c)throw Error("An ID must have been assigned before we can complete the boundary.");t(a,b.boundaryPrefix);t(a,y(c.toString(16)));return w(a,ld)}
var td=z('<div hidden id="'),ud=z('">'),vd=z("</div>"),wd=z('<svg aria-hidden="true" style="display:none" id="'),xd=z('">'),yd=z("</svg>"),zd=z('<math aria-hidden="true" style="display:none" id="'),Ad=z('">'),Bd=z("</math>"),Cd=z('<table hidden id="'),Dd=z('">'),Ed=z("</table>"),Fd=z('<table hidden><tbody id="'),Gd=z('">'),Hd=z("</tbody></table>"),Id=z('<table hidden><tr id="'),Jd=z('">'),Kd=z("</tr></table>"),Ld=z('<table hidden><colgroup id="'),se=z('">'),te=z("</colgroup></table>");
function ue(a,b,c,d){switch(c.insertionMode){case 0:case 1:case 2:return t(a,td),t(a,b.segmentPrefix),t(a,y(d.toString(16))),w(a,ud);case 3:return t(a,wd),t(a,b.segmentPrefix),t(a,y(d.toString(16))),w(a,xd);case 4:return t(a,zd),t(a,b.segmentPrefix),t(a,y(d.toString(16))),w(a,Ad);case 5:return t(a,Cd),t(a,b.segmentPrefix),t(a,y(d.toString(16))),w(a,Dd);case 6:return t(a,Fd),t(a,b.segmentPrefix),t(a,y(d.toString(16))),w(a,Gd);case 7:return t(a,Id),t(a,b.segmentPrefix),t(a,y(d.toString(16))),w(a,Jd);
case 8:return t(a,Ld),t(a,b.segmentPrefix),t(a,y(d.toString(16))),w(a,se);default:throw Error("Unknown insertion mode. This is a bug in React.");}}function ve(a,b){switch(b.insertionMode){case 0:case 1:case 2:return w(a,vd);case 3:return w(a,yd);case 4:return w(a,Bd);case 5:return w(a,Ed);case 6:return w(a,Hd);case 7:return w(a,Kd);case 8:return w(a,te);default:throw Error("Unknown insertion mode. This is a bug in React.");}}
var we=z('$RS=function(a,b){a=document.getElementById(a);b=document.getElementById(b);for(a.parentNode.removeChild(a);a.firstChild;)b.parentNode.insertBefore(a.firstChild,b);b.parentNode.removeChild(b)};$RS("'),xe=z('$RS("'),ye=z('","'),ze=z('")\x3c/script>');z('<template data-rsi="" data-sid="');z('" data-pid="');
var Ae=z('$RC=function(b,c,e){c=document.getElementById(c);c.parentNode.removeChild(c);var a=document.getElementById(b);if(a){b=a.previousSibling;if(e)b.data="$!",a.setAttribute("data-dgst",e);else{e=b.parentNode;a=b.nextSibling;var f=0;do{if(a&&8===a.nodeType){var d=a.data;if("/$"===d)if(0===f)break;else f--;else"$"!==d&&"$?"!==d&&"$!"!==d||f++}d=a.nextSibling;e.removeChild(a);a=d}while(a);for(;c.firstChild;)e.insertBefore(c.firstChild,a);b.data="$"}b._reactRetry&&b._reactRetry()}};$RC("'),Be=z('$RC("'),
Ce=z('$RC=function(b,c,e){c=document.getElementById(c);c.parentNode.removeChild(c);var a=document.getElementById(b);if(a){b=a.previousSibling;if(e)b.data="$!",a.setAttribute("data-dgst",e);else{e=b.parentNode;a=b.nextSibling;var f=0;do{if(a&&8===a.nodeType){var d=a.data;if("/$"===d)if(0===f)break;else f--;else"$"!==d&&"$?"!==d&&"$!"!==d||f++}d=a.nextSibling;e.removeChild(a);a=d}while(a);for(;c.firstChild;)e.insertBefore(c.firstChild,a);b.data="$"}b._reactRetry&&b._reactRetry()}};$RM=new Map;\n$RR=function(r,t,w){for(var u=$RC,n=$RM,p=new Map,q=document,g,b,h=q.querySelectorAll("link[data-precedence],style[data-precedence]"),v=[],k=0;b=h[k++];)"not all"===b.getAttribute("media")?v.push(b):("LINK"===b.tagName&&n.set(b.getAttribute("href"),b),p.set(b.dataset.precedence,g=b));b=0;h=[];var l,a;for(k=!0;;){if(k){var f=w[b++];if(!f){k=!1;b=0;continue}var c=!1,m=0;var d=f[m++];if(a=n.get(d)){var e=a._p;c=!0}else{a=q.createElement("link");a.href=d;a.rel="stylesheet";for(a.dataset.precedence=\nl=f[m++];e=f[m++];)a.setAttribute(e,f[m++]);e=a._p=new Promise(function(x,y){a.onload=x;a.onerror=y});n.set(d,a)}d=a.getAttribute("media");!e||"l"===e.s||d&&!matchMedia(d).matches||h.push(e);if(c)continue}else{a=v[b++];if(!a)break;l=a.getAttribute("data-precedence");a.removeAttribute("media")}c=p.get(l)||g;c===g&&(g=a);p.set(l,a);c?c.parentNode.insertBefore(a,c.nextSibling):(c=q.head,c.insertBefore(a,c.firstChild))}Promise.all(h).then(u.bind(null,r,t,""),u.bind(null,r,t,"Resource failed to load"))};$RR("'),
De=z('$RM=new Map;\n$RR=function(r,t,w){for(var u=$RC,n=$RM,p=new Map,q=document,g,b,h=q.querySelectorAll("link[data-precedence],style[data-precedence]"),v=[],k=0;b=h[k++];)"not all"===b.getAttribute("media")?v.push(b):("LINK"===b.tagName&&n.set(b.getAttribute("href"),b),p.set(b.dataset.precedence,g=b));b=0;h=[];var l,a;for(k=!0;;){if(k){var f=w[b++];if(!f){k=!1;b=0;continue}var c=!1,m=0;var d=f[m++];if(a=n.get(d)){var e=a._p;c=!0}else{a=q.createElement("link");a.href=d;a.rel="stylesheet";for(a.dataset.precedence=\nl=f[m++];e=f[m++];)a.setAttribute(e,f[m++]);e=a._p=new Promise(function(x,y){a.onload=x;a.onerror=y});n.set(d,a)}d=a.getAttribute("media");!e||"l"===e.s||d&&!matchMedia(d).matches||h.push(e);if(c)continue}else{a=v[b++];if(!a)break;l=a.getAttribute("data-precedence");a.removeAttribute("media")}c=p.get(l)||g;c===g&&(g=a);p.set(l,a);c?c.parentNode.insertBefore(a,c.nextSibling):(c=q.head,c.insertBefore(a,c.firstChild))}Promise.all(h).then(u.bind(null,r,t,""),u.bind(null,r,t,"Resource failed to load"))};$RR("'),
Ee=z('$RR("'),Fe=z('","'),Ge=z('",'),He=z('"'),Ie=z(")\x3c/script>");z('<template data-rci="" data-bid="');z('<template data-rri="" data-bid="');z('" data-sid="');z('" data-sty="');var Je=z('$RX=function(b,c,d,e,f){var a=document.getElementById(b);a&&(b=a.previousSibling,b.data="$!",a=a.dataset,c&&(a.dgst=c),d&&(a.msg=d),e&&(a.stck=e),f&&(a.cstck=f),b._reactRetry&&b._reactRetry())};;$RX("'),Ke=z('$RX("'),Le=z('"'),Me=z(","),Ne=z(")\x3c/script>");z('<template data-rxi="" data-bid="');z('" data-dgst="');
z('" data-msg="');z('" data-stck="');z('" data-cstck="');var Oe=/[<\u2028\u2029]/g;function Pe(a){return JSON.stringify(a).replace(Oe,function(b){switch(b){case "<":return"\\u003c";case "\u2028":return"\\u2028";case "\u2029":return"\\u2029";default:throw Error("escapeJSStringsForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}})}var Qe=/[&><\u2028\u2029]/g;
function Re(a){return JSON.stringify(a).replace(Qe,function(b){switch(b){case "&":return"\\u0026";case ">":return"\\u003e";case "<":return"\\u003c";case "\u2028":return"\\u2028";case "\u2029":return"\\u2029";default:throw Error("escapeJSObjectForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}})}
var Se=z('<style media="not all" data-precedence="'),Te=z('" data-href="'),Ue=z('">'),Ve=z("</style>"),We=!1,Xe=!0;function Ye(a){var b=a.rules,c=a.hrefs,d=0;if(c.length){t(this,Se);t(this,a.precedence);for(t(this,Te);d<c.length-1;d++)t(this,c[d]),t(this,Ze);t(this,c[d]);t(this,Ue);for(d=0;d<b.length;d++)t(this,b[d]);Xe=w(this,Ve);We=!0;b.length=0;c.length=0}}function $e(a){return 2!==a.state?We=!0:!1}
function af(a,b,c){We=!1;Xe=!0;b.styles.forEach(Ye,a);b.stylesheets.forEach($e);We&&(c.stylesToHoist=!0);return Xe}function bf(a){for(var b=0;b<a.length;b++)t(this,a[b]);a.length=0}var cf=[];function df(a){I(cf,a.props);for(var b=0;b<cf.length;b++)t(this,cf[b]);cf.length=0;a.state=2}var ef=z('<style data-precedence="'),ff=z('" data-href="'),Ze=z(" "),gf=z('">'),hf=z("</style>");
function jf(a){var b=0<a.sheets.size;a.sheets.forEach(df,this);a.sheets.clear();var c=a.rules,d=a.hrefs;if(!b||d.length){t(this,ef);t(this,a.precedence);a=0;if(d.length){for(t(this,ff);a<d.length-1;a++)t(this,d[a]),t(this,Ze);t(this,d[a])}t(this,gf);for(a=0;a<c.length;a++)t(this,c[a]);t(this,hf);c.length=0;d.length=0}}
function kf(a){if(0===a.state){a.state=1;var b=a.props;I(cf,{rel:"preload",as:"style",href:a.props.href,crossOrigin:b.crossOrigin,fetchPriority:b.fetchPriority,integrity:b.integrity,media:b.media,hrefLang:b.hrefLang,referrerPolicy:b.referrerPolicy});for(a=0;a<cf.length;a++)t(this,cf[a]);cf.length=0}}function lf(a){a.sheets.forEach(kf,this);a.sheets.clear()}var mf=z("["),nf=z(",["),of=z(","),pf=z("]");
function qf(a,b){t(a,mf);var c=mf;b.stylesheets.forEach(function(d){if(2!==d.state)if(3===d.state)t(a,c),t(a,y(Re(""+d.props.href))),t(a,pf),c=nf;else{t(a,c);var e=d.props["data-precedence"],f=d.props,h=vb(""+d.props.href);t(a,y(Re(h)));e=""+e;t(a,of);t(a,y(Re(e)));for(var k in f)if(E.call(f,k)&&(e=f[k],null!=e))switch(k){case "href":case "rel":case "precedence":case "data-precedence":break;case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");
default:rf(a,k,e)}t(a,pf);c=nf;d.state=3}});t(a,pf)}
function rf(a,b,c){var d=b.toLowerCase();switch(typeof c){case "function":case "symbol":return}switch(b){case "innerHTML":case "dangerouslySetInnerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "style":case "ref":return;case "className":d="class";b=""+c;break;case "hidden":if(!1===c)return;b="";break;case "src":case "href":c=vb(c);b=""+c;break;default:if(2<b.length&&("o"===b[0]||"O"===b[0])&&("n"===b[1]||"N"===b[1])||!ob(b))return;b=""+c}t(a,of);t(a,y(Re(d)));t(a,
of);t(a,y(Re(b)))}function sf(){return{styles:new Set,stylesheets:new Set}}
function Lb(a){var b=tf();if(b){var c=b.resumableState,d=b.renderState;if("string"===typeof a&&a){if(!c.dnsResources.hasOwnProperty(a)){c.dnsResources[a]=null;c=d.headers;var e,f;if(f=c&&0<c.remainingCapacity)f=(e="<"+(""+a).replace(uf,vf)+">; rel=dns-prefetch",2<=(c.remainingCapacity-=e.length));f?(d.resets.dns[a]=null,c.preconnects&&(c.preconnects+=", "),c.preconnects+=e):(e=[],I(e,{href:a,rel:"dns-prefetch"}),d.preconnects.add(e))}wf(b)}}else zb.D(a)}
function Mb(a,b){var c=tf();if(c){var d=c.resumableState,e=c.renderState;if("string"===typeof a&&a){var f="use-credentials"===b?"credentials":"string"===typeof b?"anonymous":"default";if(!d.connectResources[f].hasOwnProperty(a)){d.connectResources[f][a]=null;d=e.headers;var h,k;if(k=d&&0<d.remainingCapacity){k="<"+(""+a).replace(uf,vf)+">; rel=preconnect";if("string"===typeof b){var g=(""+b).replace(xf,yf);k+='; crossorigin="'+g+'"'}k=(h=k,2<=(d.remainingCapacity-=h.length))}k?(e.resets.connect[f][a]=
null,d.preconnects&&(d.preconnects+=", "),d.preconnects+=h):(f=[],I(f,{rel:"preconnect",href:a,crossOrigin:b}),e.preconnects.add(f))}wf(c)}}else zb.C(a,b)}
function Nb(a,b,c){var d=tf();if(d){var e=d.resumableState,f=d.renderState;if(b&&a){switch(b){case "image":if(c){var h=c.imageSrcSet;var k=c.imageSizes;var g=c.fetchPriority}var l=h?h+"\n"+(k||""):a;if(e.imageResources.hasOwnProperty(l))return;e.imageResources[l]=H;e=f.headers;var m;e&&0<e.remainingCapacity&&"high"===g&&(m=ed(a,b,c),2<=(e.remainingCapacity-=m.length))?(f.resets.image[l]=H,e.highImagePreloads&&(e.highImagePreloads+=", "),e.highImagePreloads+=m):(e=[],I(e,B({rel:"preload",href:h?void 0:
a,as:b},c)),"high"===g?f.highImagePreloads.add(e):(f.bulkPreloads.add(e),f.preloads.images.set(l,e)));break;case "style":if(e.styleResources.hasOwnProperty(a))return;h=[];I(h,B({rel:"preload",href:a,as:b},c));e.styleResources[a]=!c||"string"!==typeof c.crossOrigin&&"string"!==typeof c.integrity?H:[c.crossOrigin,c.integrity];f.preloads.stylesheets.set(a,h);f.bulkPreloads.add(h);break;case "script":if(e.scriptResources.hasOwnProperty(a))return;h=[];f.preloads.scripts.set(a,h);f.bulkPreloads.add(h);
I(h,B({rel:"preload",href:a,as:b},c));e.scriptResources[a]=!c||"string"!==typeof c.crossOrigin&&"string"!==typeof c.integrity?H:[c.crossOrigin,c.integrity];break;default:if(e.unknownResources.hasOwnProperty(b)){if(h=e.unknownResources[b],h.hasOwnProperty(a))return}else h={},e.unknownResources[b]=h;h[a]=H;if((e=f.headers)&&0<e.remainingCapacity&&"font"===b&&(l=ed(a,b,c),2<=(e.remainingCapacity-=l.length)))f.resets.font[a]=H,e.fontPreloads&&(e.fontPreloads+=", "),e.fontPreloads+=l;else switch(e=[],
a=B({rel:"preload",href:a,as:b},c),I(e,a),b){case "font":f.fontPreloads.add(e);break;default:f.bulkPreloads.add(e)}}wf(d)}}else zb.L(a,b,c)}
function Ob(a,b){var c=tf();if(c){var d=c.resumableState,e=c.renderState;if(a){var f=b&&"string"===typeof b.as?b.as:"script";switch(f){case "script":if(d.moduleScriptResources.hasOwnProperty(a))return;f=[];d.moduleScriptResources[a]=!b||"string"!==typeof b.crossOrigin&&"string"!==typeof b.integrity?H:[b.crossOrigin,b.integrity];e.preloads.moduleScripts.set(a,f);break;default:if(d.moduleUnknownResources.hasOwnProperty(f)){var h=d.unknownResources[f];if(h.hasOwnProperty(a))return}else h={},d.moduleUnknownResources[f]=
h;f=[];h[a]=H}I(f,B({rel:"modulepreload",href:a},b));e.bulkPreloads.add(f);wf(c)}}else zb.m(a,b)}
function Qb(a,b,c){var d=tf();if(d){var e=d.resumableState,f=d.renderState;if(a){b=b||"default";var h=f.styles.get(b),k=e.styleResources.hasOwnProperty(a)?e.styleResources[a]:void 0;null!==k&&(e.styleResources[a]=null,h||(h={precedence:y(F(b)),rules:[],hrefs:[],sheets:new Map},f.styles.set(b,h)),b={state:0,props:B({rel:"stylesheet",href:a,"data-precedence":b},c)},k&&(2===k.length&&dd(b.props,k),(f=f.preloads.stylesheets.get(a))&&0<f.length?f.length=0:b.state=1),h.sheets.set(a,b),wf(d))}}else zb.S(a,
b,c)}function Pb(a,b){var c=tf();if(c){var d=c.resumableState,e=c.renderState;if(a){var f=d.scriptResources.hasOwnProperty(a)?d.scriptResources[a]:void 0;null!==f&&(d.scriptResources[a]=null,b=B({src:a,async:!0},b),f&&(2===f.length&&dd(b,f),a=e.preloads.scripts.get(a))&&(a.length=0),a=[],e.scripts.add(a),Xc(a,b),wf(c))}}else zb.X(a,b)}
function Rb(a,b){var c=tf();if(c){var d=c.resumableState,e=c.renderState;if(a){var f=d.moduleScriptResources.hasOwnProperty(a)?d.moduleScriptResources[a]:void 0;null!==f&&(d.moduleScriptResources[a]=null,b=B({src:a,type:"module",async:!0},b),f&&(2===f.length&&dd(b,f),a=e.preloads.moduleScripts.get(a))&&(a.length=0),a=[],e.scripts.add(a),Xc(a,b),wf(c))}}else zb.M(a,b)}function dd(a,b){null==a.crossOrigin&&(a.crossOrigin=b[0]);null==a.integrity&&(a.integrity=b[1])}
function ed(a,b,c){a=(""+a).replace(uf,vf);b=(""+b).replace(xf,yf);b="<"+a+'>; rel=preload; as="'+b+'"';for(var d in c)E.call(c,d)&&(a=c[d],"string"===typeof a&&(b+="; "+d.toLowerCase()+'="'+(""+a).replace(xf,yf)+'"'));return b}var uf=/[<>\r\n]/g;
function vf(a){switch(a){case "<":return"%3C";case ">":return"%3E";case "\n":return"%0A";case "\r":return"%0D";default:throw Error("escapeLinkHrefForHeaderContextReplacer encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}}var xf=/["';,\r\n]/g;
function yf(a){switch(a){case '"':return"%22";case "'":return"%27";case ";":return"%3B";case ",":return"%2C";case "\n":return"%0A";case "\r":return"%0D";default:throw Error("escapeStringForLinkHeaderQuotedParamValueContextReplacer encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}}function zf(a){this.styles.add(a)}function Af(a){this.stylesheets.add(a)}
var Bf="function"===typeof AsyncLocalStorage,Cf=Bf?new AsyncLocalStorage:null,Df=Symbol.for("react.client.reference");
function Ef(a){if(null==a)return null;if("function"===typeof a)return a.$$typeof===Df?null:a.displayName||a.name||null;if("string"===typeof a)return a;switch(a){case la:return"Fragment";case ka:return"Portal";case oa:return"Profiler";case na:return"StrictMode";case Ba:return"Suspense";case Ca:return"SuspenseList"}if("object"===typeof a)switch(a.$$typeof){case ta:return(a.displayName||"Context")+".Provider";case sa:return(a._context.displayName||"Context")+".Consumer";case ua:var b=a.render;a=a.displayName;
a||(a=b.displayName||b.name||"",a=""!==a?"ForwardRef("+a+")":"ForwardRef");return a;case Da:return b=a.displayName||null,null!==b?b:Ef(a.type)||"Memo";case Ea:b=a._payload;a=a._init;try{return Ef(a(b))}catch(c){}}return null}var Ff={},Gf=null;
function Hf(a,b){if(a!==b){a.context._currentValue=a.parentValue;a=a.parent;var c=b.parent;if(null===a){if(null!==c)throw Error("The stacks must reach the root at the same time. This is a bug in React.");}else{if(null===c)throw Error("The stacks must reach the root at the same time. This is a bug in React.");Hf(a,c)}b.context._currentValue=b.value}}function If(a){a.context._currentValue=a.parentValue;a=a.parent;null!==a&&If(a)}
function Jf(a){var b=a.parent;null!==b&&Jf(b);a.context._currentValue=a.value}function Kf(a,b){a.context._currentValue=a.parentValue;a=a.parent;if(null===a)throw Error("The depth must equal at least at zero before reaching the root. This is a bug in React.");a.depth===b.depth?Hf(a,b):Kf(a,b)}
function Lf(a,b){var c=b.parent;if(null===c)throw Error("The depth must equal at least at zero before reaching the root. This is a bug in React.");a.depth===c.depth?Hf(a,c):Lf(a,c);b.context._currentValue=b.value}function Nf(a){var b=Gf;b!==a&&(null===b?Jf(a):null===a?If(b):b.depth===a.depth?Hf(b,a):b.depth>a.depth?Kf(b,a):Lf(b,a),Gf=a)}
var Of={isMounted:function(){return!1},enqueueSetState:function(a,b){a=a._reactInternals;null!==a.queue&&a.queue.push(b)},enqueueReplaceState:function(a,b){a=a._reactInternals;a.replace=!0;a.queue=[b]},enqueueForceUpdate:function(){}},Pf={id:1,overflow:""};function Qf(a,b,c){var d=a.id;a=a.overflow;var e=32-Rf(d)-1;d&=~(1<<e);c+=1;var f=32-Rf(b)+e;if(30<f){var h=e-e%5;f=(d&(1<<h)-1).toString(32);d>>=h;e-=h;return{id:1<<32-Rf(b)+e|c<<e|d,overflow:f+a}}return{id:1<<f|c<<e|d,overflow:a}}
var Rf=Math.clz32?Math.clz32:Sf,Tf=Math.log,Uf=Math.LN2;function Sf(a){a>>>=0;return 0===a?32:31-(Tf(a)/Uf|0)|0}var Vf=Error("Suspense Exception: This is not a real error! It's an implementation detail of `use` to interrupt the current render. You must either rethrow it immediately, or move the `use` call outside of the `try/catch` block. Capturing without rethrowing will lead to unexpected behavior.\n\nTo handle async errors, wrap your component in an error boundary, or call the promise's `.catch` method and pass the result to `use`");
function Wf(){}function Xf(a,b,c){c=a[c];void 0===c?a.push(b):c!==b&&(b.then(Wf,Wf),b=c);switch(b.status){case "fulfilled":return b.value;case "rejected":throw b.reason;default:if("string"!==typeof b.status)switch(a=b,a.status="pending",a.then(function(d){if("pending"===b.status){var e=b;e.status="fulfilled";e.value=d}},function(d){if("pending"===b.status){var e=b;e.status="rejected";e.reason=d}}),b.status){case "fulfilled":return b.value;case "rejected":throw b.reason;}Yf=b;throw Vf;}}var Yf=null;
function Zf(){if(null===Yf)throw Error("Expected a suspended thenable. This is a bug in React. Please file an issue.");var a=Yf;Yf=null;return a}function $f(a,b){return a===b&&(0!==a||1/a===1/b)||a!==a&&b!==b}var ag="function"===typeof Object.is?Object.is:$f,bg=null,cg=null,dg=null,eg=null,fg=null,W=null,gg=!1,hg=!1,ig=0,jg=0,kg=-1,lg=0,mg=null,ng=null,og=0;
function pg(){if(null===bg)throw Error("Invalid hook call. Hooks can only be called inside of the body of a function component. This could happen for one of the following reasons:\n1. You might have mismatching versions of React and the renderer (such as React DOM)\n2. You might be breaking the Rules of Hooks\n3. You might have more than one copy of React in the same app\nSee https://react.dev/link/invalid-hook-call for tips about how to debug and fix this problem.");return bg}
function qg(){if(0<og)throw Error("Rendered more hooks than during the previous render");return{memoizedState:null,queue:null,next:null}}function rg(){null===W?null===fg?(gg=!1,fg=W=qg()):(gg=!0,W=fg):null===W.next?(gg=!1,W=W.next=qg()):(gg=!0,W=W.next);return W}function sg(){var a=mg;mg=null;return a}function tg(){eg=dg=cg=bg=null;hg=!1;fg=null;og=0;W=ng=null}function ug(a,b){return"function"===typeof b?b(a):b}
function vg(a,b,c){bg=pg();W=rg();if(gg){var d=W.queue;b=d.dispatch;if(null!==ng&&(c=ng.get(d),void 0!==c)){ng.delete(d);d=W.memoizedState;do d=a(d,c.action),c=c.next;while(null!==c);W.memoizedState=d;return[d,b]}return[W.memoizedState,b]}a=a===ug?"function"===typeof b?b():b:void 0!==c?c(b):b;W.memoizedState=a;a=W.queue={last:null,dispatch:null};a=a.dispatch=wg.bind(null,bg,a);return[W.memoizedState,a]}
function xg(a,b){bg=pg();W=rg();b=void 0===b?null:b;if(null!==W){var c=W.memoizedState;if(null!==c&&null!==b){var d=c[1];a:if(null===d)d=!1;else{for(var e=0;e<d.length&&e<b.length;e++)if(!ag(b[e],d[e])){d=!1;break a}d=!0}if(d)return c[0]}}a=a();W.memoizedState=[a,b];return a}
function wg(a,b,c){if(25<=og)throw Error("Too many re-renders. React limits the number of renders to prevent an infinite loop.");if(a===bg)if(hg=!0,a={action:c,next:null},null===ng&&(ng=new Map),c=ng.get(b),void 0===c)ng.set(b,a);else{for(b=c;null!==b.next;)b=b.next;b.next=a}}function yg(){throw Error("startTransition cannot be called during server rendering.");}function zg(){throw Error("Cannot update optimistic state while rendering.");}
function Ag(a,b,c){pg();var d=jg++,e=dg;if("function"===typeof a.$$FORM_ACTION){var f=null,h=eg;e=e.formState;var k=a.$$IS_SIGNATURE_EQUAL;if(null!==e&&"function"===typeof k){var g=e[1];k.call(a,e[2],e[3])&&(f=void 0!==c?"p"+c:"k"+Ra(JSON.stringify([h,null,d]),0),g===f&&(kg=d,b=e[0]))}var l=a.bind(null,b);a=function(n){l(n)};"function"===typeof l.$$FORM_ACTION&&(a.$$FORM_ACTION=function(n){n=l.$$FORM_ACTION(n);void 0!==c&&(c+="",n.action=c);var r=n.data;r&&(null===f&&(f=void 0!==c?"p"+c:"k"+Ra(JSON.stringify([h,
null,d]),0)),r.append("$ACTION_KEY",f));return n});return[b,a,!1]}var m=a.bind(null,b);return[b,function(n){m(n)},!1]}function Bg(a){var b=lg;lg+=1;null===mg&&(mg=[]);return Xf(mg,a,b)}function Cg(){throw Error("Cache cannot be refreshed during server rendering.");}function Dg(){}
var Fg={readContext:function(a){return a._currentValue},use:function(a){if(null!==a&&"object"===typeof a){if("function"===typeof a.then)return Bg(a);if(a.$$typeof===ta)return a._currentValue}throw Error("An unsupported type was passed to use(): "+String(a));},useContext:function(a){pg();return a._currentValue},useMemo:xg,useReducer:vg,useRef:function(a){bg=pg();W=rg();var b=W.memoizedState;return null===b?(a={current:a},W.memoizedState=a):b},useState:function(a){return vg(ug,a)},useInsertionEffect:Dg,
useLayoutEffect:Dg,useCallback:function(a,b){return xg(function(){return a},b)},useImperativeHandle:Dg,useEffect:Dg,useDebugValue:Dg,useDeferredValue:function(a){pg();return a},useTransition:function(){pg();return[!1,yg]},useId:function(){var a=cg.treeContext;var b=a.overflow;a=a.id;a=(a&~(1<<32-Rf(a)-1)).toString(32)+b;var c=Eg;if(null===c)throw Error("Invalid hook call. Hooks can only be called inside of the body of a function component.");b=ig++;a=":"+c.idPrefix+"R"+a;0<b&&(a+="H"+b.toString(32));
return a+":"},useSyncExternalStore:function(a,b,c){if(void 0===c)throw Error("Missing getServerSnapshot, which is required for server-rendered content. Will revert to client rendering.");return c()},useCacheRefresh:function(){return Cg},useHostTransitionStatus:function(){pg();return yb},useOptimistic:function(a){pg();return[a,zg]}};Fg.useFormState=Ag;Fg.useActionState=Ag;var Eg=null,Gg={getCacheForType:function(){throw Error("Not implemented.");}},Hg;
function Ig(a){if(void 0===Hg)try{throw Error();}catch(c){var b=c.stack.trim().match(/\n( *(at )?)/);Hg=b&&b[1]||""}return"\n"+Hg+a}var Jg=!1;
function Kg(a,b){if(!a||Jg)return"";Jg=!0;var c=Error.prepareStackTrace;Error.prepareStackTrace=void 0;var d={DetermineComponentFrameRoot:function(){try{if(b){var n=function(){throw Error();};Object.defineProperty(n.prototype,"props",{set:function(){throw Error();}});if("object"===typeof Reflect&&Reflect.construct){try{Reflect.construct(n,[])}catch(u){var r=u}Reflect.construct(a,[],n)}else{try{n.call()}catch(u){r=u}a.call(n.prototype)}}else{try{throw Error();}catch(u){r=u}(n=a())&&"function"===typeof n.catch&&
n.catch(function(){})}}catch(u){if(u&&r&&"string"===typeof u.stack)return[u.stack,r.stack]}return[null,null]}};d.DetermineComponentFrameRoot.displayName="DetermineComponentFrameRoot";var e=Object.getOwnPropertyDescriptor(d.DetermineComponentFrameRoot,"name");e&&e.configurable&&Object.defineProperty(d.DetermineComponentFrameRoot,"name",{value:"DetermineComponentFrameRoot"});try{var f=d.DetermineComponentFrameRoot(),h=f[0],k=f[1];if(h&&k){var g=h.split("\n"),l=k.split("\n");for(e=d=0;d<g.length&&!g[d].includes("DetermineComponentFrameRoot");)d++;
for(;e<l.length&&!l[e].includes("DetermineComponentFrameRoot");)e++;if(d===g.length||e===l.length)for(d=g.length-1,e=l.length-1;1<=d&&0<=e&&g[d]!==l[e];)e--;for(;1<=d&&0<=e;d--,e--)if(g[d]!==l[e]){if(1!==d||1!==e){do if(d--,e--,0>e||g[d]!==l[e]){var m="\n"+g[d].replace(" at new "," at ");a.displayName&&m.includes("<anonymous>")&&(m=m.replace("<anonymous>",a.displayName));return m}while(1<=d&&0<=e)}break}}}finally{Jg=!1,Error.prepareStackTrace=c}return(c=a?a.displayName||a.name:"")?Ig(c):""}
function Lg(a){console.error(a);return null}function Mg(){}
function Ng(a,b,c,d,e,f,h,k,g,l,m,n){var r=[],u=new Set;b={destination:null,flushScheduled:!1,resumableState:b,renderState:c,rootFormatContext:d,progressiveChunkSize:void 0===e?12800:e,status:0,fatalError:null,nextSegmentId:0,allPendingTasks:0,pendingRootTasks:0,completedRootSegment:null,abortableTasks:u,pingedTasks:r,clientRenderedBoundaries:[],completedBoundaries:[],partialBoundaries:[],trackedPostpones:null,onError:void 0===f?Lg:f,onPostpone:void 0===m?Mg:m,onAllReady:void 0===h?Mg:h,onShellReady:void 0===
k?Mg:k,onShellError:void 0===g?Mg:g,onFatalError:void 0===l?Mg:l,formState:void 0===n?null:n};c=Og(b,0,null,d,!1,!1);c.parentFlushed=!0;a=Pg(b,null,a,-1,null,c,null,u,null,d,Ff,null,Pf,null,!1);r.push(a);return b}var Qg=null;function tf(){if(Qg)return Qg;if(Bf){var a=Cf.getStore();if(a)return a}return null}function Rg(a,b){a.pingedTasks.push(b);1===a.pingedTasks.length&&(a.flushScheduled=null!==a.destination,setTimeout(function(){return Sg(a)},0))}
function Tg(a,b){return{status:0,rootSegmentID:-1,parentFlushed:!1,pendingTasks:0,completedSegments:[],byteSize:0,fallbackAbortableTasks:b,errorDigest:null,contentState:sf(),fallbackState:sf(),trackedContentKeyPath:null,trackedFallbackNode:null}}
function Pg(a,b,c,d,e,f,h,k,g,l,m,n,r,u,x){a.allPendingTasks++;null===e?a.pendingRootTasks++:e.pendingTasks++;var v={replay:null,node:c,childIndex:d,ping:function(){return Rg(a,v)},blockedBoundary:e,blockedSegment:f,hoistableState:h,abortSet:k,keyPath:g,formatContext:l,legacyContext:m,context:n,treeContext:r,componentStack:u,thenableState:b,isFallback:x};k.add(v);return v}
function Ug(a,b,c,d,e,f,h,k,g,l,m,n,r,u,x){a.allPendingTasks++;null===f?a.pendingRootTasks++:f.pendingTasks++;c.pendingTasks++;var v={replay:c,node:d,childIndex:e,ping:function(){return Rg(a,v)},blockedBoundary:f,blockedSegment:null,hoistableState:h,abortSet:k,keyPath:g,formatContext:l,legacyContext:m,context:n,treeContext:r,componentStack:u,thenableState:b,isFallback:x};k.add(v);return v}
function Og(a,b,c,d,e,f){return{status:0,id:-1,index:b,parentFlushed:!1,chunks:[],children:[],parentFormatContext:d,boundary:c,lastPushedText:e,textEmbedded:f}}function Vg(a,b){return{tag:0,parent:a.componentStack,type:b}}
function Wg(a,b){if(b&&null!==a.trackedPostpones){try{a="";do{switch(b.tag){case 0:a+=Ig(b.type);break;case 1:a+=Kg(b.type,!1);break;case 2:a+=Kg(b.type,!0)}b=b.parent}while(b);var c=a}catch(d){c="\nError generating stack: "+d.message+"\n"+d.stack}c={componentStack:c}}else c={};return c}function X(a,b,c){a=a.onError(b,c);if(null==a||"string"===typeof a)return a}
function Xg(a,b){var c=a.onShellError;c(b);c=a.onFatalError;c(b);null!==a.destination?(a.status=2,eb(a.destination,b)):(a.status=1,a.fatalError=b)}function Yg(a,b,c,d,e,f){var h=b.thenableState;b.thenableState=null;bg={};cg=b;dg=a;eg=c;jg=ig=0;kg=-1;lg=0;mg=h;for(a=d(e,f);hg;)hg=!1,jg=ig=0,kg=-1,lg=0,og+=1,W=null,a=d(e,f);tg();return a}
function Zg(a,b,c,d,e,f,h){var k=!1;if(0!==f&&null!==a.formState){var g=b.blockedSegment;if(null!==g){k=!0;g=g.chunks;for(var l=0;l<f;l++)l===h?g.push(Sc):g.push(Tc)}}f=b.keyPath;b.keyPath=c;e?(c=b.treeContext,b.treeContext=Qf(c,1,0),$g(a,b,d,-1),b.treeContext=c):k?$g(a,b,d,-1):Y(a,b,d,-1);b.keyPath=f}
function ah(a,b,c,d,e,f){if("function"===typeof d)if(d.prototype&&d.prototype.isReactComponent){var h=e;if("ref"in e){h={};for(var k in e)"ref"!==k&&(h[k]=e[k])}var g=d.defaultProps;if(g){h===e&&(h=B({},h,e));for(var l in g)void 0===h[l]&&(h[l]=g[l])}e=b.componentStack;b.componentStack={tag:2,parent:b.componentStack,type:d};g=Ff;f=d.contextType;"object"===typeof f&&null!==f&&(g=f._currentValue);g=new d(h,g);l=void 0!==g.state?g.state:null;g.updater=Of;g.props=h;g.state=l;f={queue:[],replace:!1};g._reactInternals=
f;var m=d.contextType;g.context="object"===typeof m&&null!==m?m._currentValue:Ff;m=d.getDerivedStateFromProps;"function"===typeof m&&(m=m(h,l),l=null===m||void 0===m?l:B({},l,m),g.state=l);if("function"!==typeof d.getDerivedStateFromProps&&"function"!==typeof g.getSnapshotBeforeUpdate&&("function"===typeof g.UNSAFE_componentWillMount||"function"===typeof g.componentWillMount))if(d=g.state,"function"===typeof g.componentWillMount&&g.componentWillMount(),"function"===typeof g.UNSAFE_componentWillMount&&
g.UNSAFE_componentWillMount(),d!==g.state&&Of.enqueueReplaceState(g,g.state,null),null!==f.queue&&0<f.queue.length)if(d=f.queue,m=f.replace,f.queue=null,f.replace=!1,m&&1===d.length)g.state=d[0];else{f=m?d[0]:g.state;l=!0;for(m=m?1:0;m<d.length;m++)k=d[m],k="function"===typeof k?k.call(g,f,h,void 0):k,null!=k&&(l?(l=!1,f=B({},f,k)):B(f,k));g.state=f}else f.queue=null;d=g.render();h=b.keyPath;b.keyPath=c;Y(a,b,d,-1);b.keyPath=h;b.componentStack=e}else h=b.componentStack,b.componentStack={tag:1,parent:b.componentStack,
type:d},d=Yg(a,b,c,d,e,void 0),Zg(a,b,c,d,0!==ig,jg,kg),b.componentStack=h;else if("string"===typeof d){h=b.componentStack;b.componentStack=Vg(b,d);g=b.blockedSegment;if(null===g)g=e.children,f=b.formatContext,l=b.keyPath,b.formatContext=gc(f,d,e),b.keyPath=c,$g(a,b,g,-1),b.formatContext=f,b.keyPath=l;else{l=cd(g.chunks,d,e,a.resumableState,a.renderState,b.hoistableState,b.formatContext,g.lastPushedText,b.isFallback);g.lastPushedText=!1;f=b.formatContext;m=b.keyPath;b.formatContext=gc(f,d,e);b.keyPath=
c;$g(a,b,l,-1);b.formatContext=f;b.keyPath=m;a:{c=g.chunks;a=a.resumableState;switch(d){case "title":case "style":case "script":case "area":case "base":case "br":case "col":case "embed":case "hr":case "img":case "input":case "keygen":case "link":case "meta":case "param":case "source":case "track":case "wbr":break a;case "body":if(1>=f.insertionMode){a.hasBody=!0;break a}break;case "html":if(0===f.insertionMode){a.hasHtml=!0;break a}}c.push(Wc(d))}g.lastPushedText=!1}b.componentStack=h}else{switch(d){case Oa:case Ga:case na:case oa:case la:d=
b.keyPath;b.keyPath=c;Y(a,b,e.children,-1);b.keyPath=d;return;case Ha:"hidden"!==e.mode&&(d=b.keyPath,b.keyPath=c,Y(a,b,e.children,-1),b.keyPath=d);return;case Ca:d=b.componentStack;b.componentStack=Vg(b,"SuspenseList");h=b.keyPath;b.keyPath=c;Y(a,b,e.children,-1);b.keyPath=h;b.componentStack=d;return;case Fa:throw Error("ReactDOMServer does not yet support scope components.");case Ba:a:if(null!==b.replay){d=b.keyPath;b.keyPath=c;c=e.children;try{$g(a,b,c,-1)}finally{b.keyPath=d}}else{var n=b.componentStack;
d=b.componentStack=Vg(b,"Suspense");var r=b.keyPath;f=b.blockedBoundary;var u=b.hoistableState,x=b.blockedSegment;l=e.fallback;var v=e.children;e=new Set;m=Tg(a,e);null!==a.trackedPostpones&&(m.trackedContentKeyPath=c);k=Og(a,x.chunks.length,m,b.formatContext,!1,!1);x.children.push(k);x.lastPushedText=!1;var C=Og(a,0,null,b.formatContext,!1,!1);C.parentFlushed=!0;b.blockedBoundary=m;b.hoistableState=m.contentState;b.blockedSegment=C;b.keyPath=c;try{if($g(a,b,v,-1),C.lastPushedText&&C.textEmbedded&&
C.chunks.push(hc),C.status=1,bh(m,C),0===m.pendingTasks&&0===m.status){m.status=1;b.componentStack=n;break a}}catch(J){C.status=4,m.status=4,h=Wg(a,b.componentStack),g=X(a,J,h),m.errorDigest=g,ch(a,m)}finally{b.blockedBoundary=f,b.hoistableState=u,b.blockedSegment=x,b.keyPath=r,b.componentStack=n}h=[c[0],"Suspense Fallback",c[2]];g=a.trackedPostpones;null!==g&&(n=[h[1],h[2],[],null],g.workingMap.set(h,n),5===m.status?g.workingMap.get(c)[4]=n:m.trackedFallbackNode=n);b=Pg(a,null,l,-1,f,k,m.fallbackState,
e,h,b.formatContext,b.legacyContext,b.context,b.treeContext,d,!0);a.pingedTasks.push(b)}return}if("object"===typeof d&&null!==d)switch(d.$$typeof){case ua:h=b.componentStack;b.componentStack={tag:1,parent:b.componentStack,type:d.render};if("ref"in e)for(m in g={},e)"ref"!==m&&(g[m]=e[m]);else g=e;d=Yg(a,b,c,d.render,g,f);Zg(a,b,c,d,0!==ig,jg,kg);b.componentStack=h;return;case Da:ah(a,b,c,d.type,e,f);return;case pa:case ta:g=e.children;h=b.keyPath;e=e.value;f=d._currentValue;d._currentValue=e;l=Gf;
Gf=d={parent:l,depth:null===l?0:l.depth+1,context:d,parentValue:f,value:e};b.context=d;b.keyPath=c;Y(a,b,g,-1);a=Gf;if(null===a)throw Error("Tried to pop a Context at the root of the app. This is a bug in React.");a.context._currentValue=a.parentValue;a=Gf=a.parent;b.context=a;b.keyPath=h;return;case sa:e=e.children;d=e(d._context._currentValue);e=b.keyPath;b.keyPath=c;Y(a,b,d,-1);b.keyPath=e;return;case Ea:h=b.componentStack;b.componentStack=Vg(b,"Lazy");g=d._init;d=g(d._payload);ah(a,b,c,d,e,void 0);
b.componentStack=h;return}throw Error("Element type is invalid: expected a string (for built-in components) or a class/function (for composite components) but got: "+((null==d?d:typeof d)+"."));}}
function dh(a,b,c,d,e){var f=b.replay,h=b.blockedBoundary,k=Og(a,0,null,b.formatContext,!1,!1);k.id=c;k.parentFlushed=!0;try{b.replay=null,b.blockedSegment=k,$g(a,b,d,e),k.status=1,null===h?a.completedRootSegment=k:(bh(h,k),h.parentFlushed&&a.partialBoundaries.push(h))}finally{b.replay=f,b.blockedSegment=null}}
function Y(a,b,c,d){if(null!==b.replay&&"number"===typeof b.replay.slots)dh(a,b,b.replay.slots,c,d);else if(b.node=c,b.childIndex=d,null!==c){if("object"===typeof c){switch(c.$$typeof){case ha:var e=c.type,f=c.key,h=c.props;c=h.ref;var k=void 0!==c?c:null;var g=Ef(e),l=null==f?-1===d?0:d:f;f=[b.keyPath,g,l];if(null!==b.replay)a:{var m=b.replay;d=m.nodes;for(c=0;c<d.length;c++){var n=d[c];if(l===n[1]){if(4===n.length){if(null!==g&&g!==n[0])throw Error("Expected the resume to render <"+n[0]+"> in this slot but instead it rendered <"+
g+">. The tree doesn't match so React will fallback to client rendering.");var r=n[2];g=n[3];l=b.node;b.replay={nodes:r,slots:g,pendingTasks:1};try{ah(a,b,f,e,h,k);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--}catch(D){if("object"===typeof D&&null!==D&&(D===Vf||"function"===typeof D.then))throw b.node===l&&(b.replay=m),D;
b.replay.pendingTasks--;h=Wg(a,b.componentStack);f=a;a=b.blockedBoundary;e=D;h=X(f,e,h);eh(f,a,r,g,e,h)}b.replay=m}else{if(e!==Ba)throw Error("Expected the resume to render <Suspense> in this slot but instead it rendered <"+(Ef(e)||"Unknown")+">. The tree doesn't match so React will fallback to client rendering.");b:{m=void 0;e=n[5];k=n[2];g=n[3];l=null===n[4]?[]:n[4][2];n=null===n[4]?null:n[4][3];var u=b.componentStack,x=b.componentStack=Vg(b,"Suspense"),v=b.keyPath,C=b.replay,J=b.blockedBoundary,
Z=b.hoistableState,ia=h.children;h=h.fallback;var da=new Set,A=Tg(a,da);A.parentFlushed=!0;A.rootSegmentID=e;b.blockedBoundary=A;b.hoistableState=A.contentState;b.replay={nodes:k,slots:g,pendingTasks:1};try{$g(a,b,ia,-1);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--;if(0===A.pendingTasks&&0===A.status){A.status=1;a.completedBoundaries.push(A);
break b}}catch(D){A.status=4,r=Wg(a,b.componentStack),m=X(a,D,r),A.errorDigest=m,b.replay.pendingTasks--,a.clientRenderedBoundaries.push(A)}finally{b.blockedBoundary=J,b.hoistableState=Z,b.replay=C,b.keyPath=v,b.componentStack=u}b=Ug(a,null,{nodes:l,slots:n,pendingTasks:0},h,-1,J,A.fallbackState,da,[f[0],"Suspense Fallback",f[2]],b.formatContext,b.legacyContext,b.context,b.treeContext,x,!0);a.pingedTasks.push(b)}}d.splice(c,1);break a}}}else ah(a,b,f,e,h,k);return;case ka:throw Error("Portals are not currently supported by the server renderer. Render them conditionally so that they only appear on the client render.");
case Ea:r=b.componentStack;b.componentStack=Vg(b,"Lazy");h=c._init;c=h(c._payload);b.componentStack=r;Y(a,b,c,d);return}if(Qa(c)){fh(a,b,c,d);return}null===c||"object"!==typeof c?r=null:(r=Pa&&c[Pa]||c["@@iterator"],r="function"===typeof r?r:null);if(r&&(r=r.call(c))){c=r.next();if(!c.done){h=[];do h.push(c.value),c=r.next();while(!c.done);fh(a,b,h,d)}return}if("function"===typeof c.then)return b.thenableState=null,Y(a,b,Bg(c),d);if(c.$$typeof===ta)return Y(a,b,c._currentValue,d);d=Object.prototype.toString.call(c);
throw Error("Objects are not valid as a React child (found: "+("[object Object]"===d?"object with keys {"+Object.keys(c).join(", ")+"}":d)+"). If you meant to render a collection of children, use an array instead.");}if("string"===typeof c)d=b.blockedSegment,null!==d&&(d.lastPushedText=ic(d.chunks,c,a.renderState,d.lastPushedText));else if("number"===typeof c||"bigint"===typeof c)d=b.blockedSegment,null!==d&&(d.lastPushedText=ic(d.chunks,""+c,a.renderState,d.lastPushedText))}}
function fh(a,b,c,d){var e=b.keyPath;if(-1!==d&&(b.keyPath=[b.keyPath,"Fragment",d],null!==b.replay)){for(var f=b.replay,h=f.nodes,k=0;k<h.length;k++){var g=h[k];if(g[1]===d){d=g[2];g=g[3];b.replay={nodes:d,slots:g,pendingTasks:1};try{fh(a,b,c,-1);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--}catch(n){if("object"===typeof n&&
null!==n&&(n===Vf||"function"===typeof n.then))throw n;b.replay.pendingTasks--;c=Wg(a,b.componentStack);var l=b.blockedBoundary,m=n;c=X(a,m,c);eh(a,l,d,g,m,c)}b.replay=f;h.splice(k,1);break}}b.keyPath=e;return}f=b.treeContext;h=c.length;if(null!==b.replay&&(k=b.replay.slots,null!==k&&"object"===typeof k)){for(d=0;d<h;d++)g=c[d],b.treeContext=Qf(f,h,d),l=k[d],"number"===typeof l?(dh(a,b,l,g,d),delete k[d]):$g(a,b,g,d);b.treeContext=f;b.keyPath=e;return}for(k=0;k<h;k++)d=c[k],b.treeContext=Qf(f,h,k),
$g(a,b,d,k);b.treeContext=f;b.keyPath=e}function ch(a,b){a=a.trackedPostpones;null!==a&&(b=b.trackedContentKeyPath,null!==b&&(b=a.workingMap.get(b),void 0!==b&&(b.length=4,b[2]=[],b[3]=null)))}
function $g(a,b,c,d){var e=b.formatContext,f=b.legacyContext,h=b.context,k=b.keyPath,g=b.treeContext,l=b.componentStack,m=b.blockedSegment;if(null===m)try{return Y(a,b,c,d)}catch(u){if(tg(),c=u===Vf?Zf():u,"object"===typeof c&&null!==c&&"function"===typeof c.then){d=sg();a=Ug(a,d,b.replay,b.node,b.childIndex,b.blockedBoundary,b.hoistableState,b.abortSet,b.keyPath,b.formatContext,b.legacyContext,b.context,b.treeContext,null!==b.componentStack?b.componentStack.parent:null,b.isFallback).ping;c.then(a,
a);b.formatContext=e;b.legacyContext=f;b.context=h;b.keyPath=k;b.treeContext=g;b.componentStack=l;Nf(h);return}}else{var n=m.children.length,r=m.chunks.length;try{return Y(a,b,c,d)}catch(u){if(tg(),m.children.length=n,m.chunks.length=r,c=u===Vf?Zf():u,"object"===typeof c&&null!==c&&"function"===typeof c.then){d=sg();m=b.blockedSegment;n=Og(a,m.chunks.length,null,b.formatContext,m.lastPushedText,!0);m.children.push(n);m.lastPushedText=!1;a=Pg(a,d,b.node,b.childIndex,b.blockedBoundary,n,b.hoistableState,
b.abortSet,b.keyPath,b.formatContext,b.legacyContext,b.context,b.treeContext,null!==b.componentStack?b.componentStack.parent:null,b.isFallback).ping;c.then(a,a);b.formatContext=e;b.legacyContext=f;b.context=h;b.keyPath=k;b.treeContext=g;b.componentStack=l;Nf(h);return}}}b.formatContext=e;b.legacyContext=f;b.context=h;b.keyPath=k;b.treeContext=g;Nf(h);throw c;}function gh(a){var b=a.blockedBoundary;a=a.blockedSegment;null!==a&&(a.status=3,hh(this,b,a))}
function eh(a,b,c,d,e,f){for(var h=0;h<c.length;h++){var k=c[h];if(4===k.length)eh(a,b,k[2],k[3],e,f);else{k=k[5];var g=a,l=f,m=Tg(g,new Set);m.parentFlushed=!0;m.rootSegmentID=k;m.status=4;m.errorDigest=l;m.parentFlushed&&g.clientRenderedBoundaries.push(m)}}c.length=0;if(null!==d){if(null===b)throw Error("We should not have any resumable nodes in the shell. This is a bug in React.");4!==b.status&&(b.status=4,b.errorDigest=f,b.parentFlushed&&a.clientRenderedBoundaries.push(b));if("object"===typeof d)for(var n in d)delete d[n]}}
function ih(a,b,c){var d=a.blockedBoundary,e=a.blockedSegment;null!==e&&(e.status=3);if(null===d){if(d={},1!==b.status&&2!==b.status){a=a.replay;if(null===a){X(b,c,d);Xg(b,c);return}a.pendingTasks--;0===a.pendingTasks&&0<a.nodes.length&&(d=X(b,c,d),eh(b,null,a.nodes,a.slots,c,d));b.pendingRootTasks--;0===b.pendingRootTasks&&jh(b)}}else d.pendingTasks--,4!==d.status&&(d.status=4,a=Wg(b,a.componentStack),a=X(b,c,a),d.errorDigest=a,ch(b,d),d.parentFlushed&&b.clientRenderedBoundaries.push(d)),d.fallbackAbortableTasks.forEach(function(f){return ih(f,
b,c)}),d.fallbackAbortableTasks.clear();b.allPendingTasks--;0===b.allPendingTasks&&kh(b)}
function lh(a,b){try{var c=a.renderState,d=c.onHeaders;if(d){var e=c.headers;if(e){c.headers=null;var f=e.preconnects;e.fontPreloads&&(f&&(f+=", "),f+=e.fontPreloads);e.highImagePreloads&&(f&&(f+=", "),f+=e.highImagePreloads);if(!b){var h=c.styles.values(),k=h.next();b:for(;0<e.remainingCapacity&&!k.done;k=h.next())for(var g=k.value.sheets.values(),l=g.next();0<e.remainingCapacity&&!l.done;l=g.next()){var m=l.value,n=m.props,r=n.href,u=m.props,x=ed(u.href,"style",{crossOrigin:u.crossOrigin,integrity:u.integrity,
nonce:u.nonce,type:u.type,fetchPriority:u.fetchPriority,referrerPolicy:u.referrerPolicy,media:u.media});if(2<=(e.remainingCapacity-=x.length))c.resets.style[r]=H,f&&(f+=", "),f+=x,c.resets.style[r]="string"===typeof n.crossOrigin||"string"===typeof n.integrity?[n.crossOrigin,n.integrity]:H;else break b}}f?d({Link:f}):d({})}}}catch(v){X(a,v,{})}}function jh(a){null===a.trackedPostpones&&lh(a,!0);a.onShellError=Mg;a=a.onShellReady;a()}
function kh(a){lh(a,null===a.trackedPostpones?!0:null===a.completedRootSegment||5!==a.completedRootSegment.status);a=a.onAllReady;a()}function bh(a,b){if(0===b.chunks.length&&1===b.children.length&&null===b.children[0].boundary&&-1===b.children[0].id){var c=b.children[0];c.id=b.id;c.parentFlushed=!0;1===c.status&&bh(a,c)}else a.completedSegments.push(b)}
function hh(a,b,c){if(null===b){if(null!==c&&c.parentFlushed){if(null!==a.completedRootSegment)throw Error("There can only be one root segment. This is a bug in React.");a.completedRootSegment=c}a.pendingRootTasks--;0===a.pendingRootTasks&&jh(a)}else b.pendingTasks--,4!==b.status&&(0===b.pendingTasks?(0===b.status&&(b.status=1),null!==c&&c.parentFlushed&&1===c.status&&bh(b,c),b.parentFlushed&&a.completedBoundaries.push(b),1===b.status&&(b.fallbackAbortableTasks.forEach(gh,a),b.fallbackAbortableTasks.clear())):
null!==c&&c.parentFlushed&&1===c.status&&(bh(b,c),1===b.completedSegments.length&&b.parentFlushed&&a.partialBoundaries.push(b)));a.allPendingTasks--;0===a.allPendingTasks&&kh(a)}
function Sg(a){if(2!==a.status){var b=Gf,c=wb.H;wb.H=Fg;var d=wb.C;wb.C=Gg;var e=Qg;Qg=a;var f=Eg;Eg=a.resumableState;try{var h=a.pingedTasks,k;for(k=0;k<h.length;k++){var g=h[k],l=a,m=g.blockedSegment;if(null===m){var n=l;if(0!==g.replay.pendingTasks){Nf(g.context);try{Y(n,g,g.node,g.childIndex);if(1===g.replay.pendingTasks&&0<g.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");g.replay.pendingTasks--;
g.abortSet.delete(g);hh(n,g.blockedBoundary,null)}catch(N){tg();var r=N===Vf?Zf():N;if("object"===typeof r&&null!==r&&"function"===typeof r.then){var u=g.ping;r.then(u,u);g.thenableState=sg()}else{g.replay.pendingTasks--;g.abortSet.delete(g);var x=Wg(n,g.componentStack);l=void 0;var v=n,C=g.blockedBoundary,J=r,Z=g.replay.nodes,ia=g.replay.slots;l=X(v,J,x);eh(v,C,Z,ia,J,l);n.pendingRootTasks--;0===n.pendingRootTasks&&jh(n);n.allPendingTasks--;0===n.allPendingTasks&&kh(n)}}finally{}}}else if(n=void 0,
v=m,0===v.status){Nf(g.context);var da=v.children.length,A=v.chunks.length;try{Y(l,g,g.node,g.childIndex),v.lastPushedText&&v.textEmbedded&&v.chunks.push(hc),g.abortSet.delete(g),v.status=1,hh(l,g.blockedBoundary,v)}catch(N){tg();v.children.length=da;v.chunks.length=A;var D=N===Vf?Zf():N;if("object"===typeof D&&null!==D&&"function"===typeof D.then){var V=g.ping;D.then(V,V);g.thenableState=sg()}else{var aa=Wg(l,g.componentStack);g.abortSet.delete(g);v.status=4;var K=g.blockedBoundary;n=X(l,D,aa);null===
K?Xg(l,D):(K.pendingTasks--,4!==K.status&&(K.status=4,K.errorDigest=n,ch(l,K),K.parentFlushed&&l.clientRenderedBoundaries.push(K)));l.allPendingTasks--;0===l.allPendingTasks&&kh(l)}}finally{}}}h.splice(0,k);null!==a.destination&&mh(a,a.destination)}catch(N){X(a,N,{}),Xg(a,N)}finally{Eg=f,wb.H=c,wb.C=d,c===Fg&&Nf(b),Qg=e}}}
function nh(a,b,c,d){c.parentFlushed=!0;switch(c.status){case 0:c.id=a.nextSegmentId++;case 5:return d=c.id,c.lastPushedText=!1,c.textEmbedded=!1,a=a.renderState,t(b,hd),t(b,a.placeholderPrefix),a=y(d.toString(16)),t(b,a),w(b,id);case 1:c.status=2;var e=!0,f=c.chunks,h=0;c=c.children;for(var k=0;k<c.length;k++){for(e=c[k];h<e.index;h++)t(b,f[h]);e=oh(a,b,e,d)}for(;h<f.length-1;h++)t(b,f[h]);h<f.length&&(e=w(b,f[h]));return e;default:throw Error("Aborted, errored or already flushed boundaries should not be flushed again. This is a bug in React.");
}}
function oh(a,b,c,d){var e=c.boundary;if(null===e)return nh(a,b,c,d);e.parentFlushed=!0;if(4===e.status)e=e.errorDigest,w(b,md),t(b,od),e&&(t(b,qd),t(b,y(F(e))),t(b,pd)),w(b,rd),nh(a,b,c,d);else if(1!==e.status)0===e.status&&(e.rootSegmentID=a.nextSegmentId++),0<e.completedSegments.length&&a.partialBoundaries.push(e),sd(b,a.renderState,e.rootSegmentID),d&&(e=e.fallbackState,e.styles.forEach(zf,d),e.stylesheets.forEach(Af,d)),nh(a,b,c,d);else if(e.byteSize>a.progressiveChunkSize)e.rootSegmentID=a.nextSegmentId++,
a.completedBoundaries.push(e),sd(b,a.renderState,e.rootSegmentID),nh(a,b,c,d);else{d&&(c=e.contentState,c.styles.forEach(zf,d),c.stylesheets.forEach(Af,d));w(b,jd);c=e.completedSegments;if(1!==c.length)throw Error("A previously unvisited boundary must have exactly one root segment. This is a bug in React.");oh(a,b,c[0],d)}return w(b,nd)}function ph(a,b,c,d){ue(b,a.renderState,c.parentFormatContext,c.id);oh(a,b,c,d);return ve(b,c.parentFormatContext)}
function qh(a,b,c){for(var d=c.completedSegments,e=0;e<d.length;e++)rh(a,b,c,d[e]);d.length=0;af(b,c.contentState,a.renderState);d=a.resumableState;a=a.renderState;e=c.rootSegmentID;c=c.contentState;var f=a.stylesToHoist;a.stylesToHoist=!1;t(b,a.startInlineScript);f?0===(d.instructions&2)?(d.instructions|=10,t(b,Ce)):0===(d.instructions&8)?(d.instructions|=8,t(b,De)):t(b,Ee):0===(d.instructions&2)?(d.instructions|=2,t(b,Ae)):t(b,Be);d=y(e.toString(16));t(b,a.boundaryPrefix);t(b,d);t(b,Fe);t(b,a.segmentPrefix);
t(b,d);f?(t(b,Ge),qf(b,c)):t(b,He);c=w(b,Ie);return gd(b,a)&&c}
function rh(a,b,c,d){if(2===d.status)return!0;var e=c.contentState,f=d.id;if(-1===f){if(-1===(d.id=c.rootSegmentID))throw Error("A root segment ID must have been assigned by now. This is a bug in React.");return ph(a,b,d,e)}if(f===c.rootSegmentID)return ph(a,b,d,e);ph(a,b,d,e);c=a.resumableState;a=a.renderState;t(b,a.startInlineScript);0===(c.instructions&1)?(c.instructions|=1,t(b,we)):t(b,xe);t(b,a.segmentPrefix);f=y(f.toString(16));t(b,f);t(b,ye);t(b,a.placeholderPrefix);t(b,f);b=w(b,ze);return b}
function mh(a,b){p=new Uint8Array(2048);q=0;try{if(!(0<a.pendingRootTasks)){var c,d=a.completedRootSegment;if(null!==d){if(5===d.status)return;var e=a.renderState,f=e.htmlChunks,h=e.headChunks,k;if(f){for(k=0;k<f.length;k++)t(b,f[k]);if(h)for(k=0;k<h.length;k++)t(b,h[k]);else t(b,U("head")),t(b,T)}else if(h)for(k=0;k<h.length;k++)t(b,h[k]);var g=e.charsetChunks;for(k=0;k<g.length;k++)t(b,g[k]);g.length=0;e.preconnects.forEach(bf,b);e.preconnects.clear();var l=e.viewportChunks;for(k=0;k<l.length;k++)t(b,
l[k]);l.length=0;e.fontPreloads.forEach(bf,b);e.fontPreloads.clear();e.highImagePreloads.forEach(bf,b);e.highImagePreloads.clear();e.styles.forEach(jf,b);var m=e.importMapChunks;for(k=0;k<m.length;k++)t(b,m[k]);m.length=0;e.bootstrapScripts.forEach(bf,b);e.scripts.forEach(bf,b);e.scripts.clear();e.bulkPreloads.forEach(bf,b);e.bulkPreloads.clear();var n=e.hoistableChunks;for(k=0;k<n.length;k++)t(b,n[k]);n.length=0;f&&null===h&&t(b,Wc("head"));oh(a,b,d,null);a.completedRootSegment=null;gd(b,a.renderState)}var r=
a.renderState;d=0;var u=r.viewportChunks;for(d=0;d<u.length;d++)t(b,u[d]);u.length=0;r.preconnects.forEach(bf,b);r.preconnects.clear();r.fontPreloads.forEach(bf,b);r.fontPreloads.clear();r.highImagePreloads.forEach(bf,b);r.highImagePreloads.clear();r.styles.forEach(lf,b);r.scripts.forEach(bf,b);r.scripts.clear();r.bulkPreloads.forEach(bf,b);r.bulkPreloads.clear();var x=r.hoistableChunks;for(d=0;d<x.length;d++)t(b,x[d]);x.length=0;var v=a.clientRenderedBoundaries;for(c=0;c<v.length;c++){var C=v[c];
r=b;var J=a.resumableState,Z=a.renderState,ia=C.rootSegmentID,da=C.errorDigest;t(r,Z.startInlineScript);0===(J.instructions&4)?(J.instructions|=4,t(r,Je)):t(r,Ke);t(r,Z.boundaryPrefix);t(r,y(ia.toString(16)));t(r,Le);da&&(t(r,Me),t(r,y(Pe(da||""))));var A=w(r,Ne);if(!A){a.destination=null;c++;v.splice(0,c);return}}v.splice(0,c);var D=a.completedBoundaries;for(c=0;c<D.length;c++)if(!qh(a,b,D[c])){a.destination=null;c++;D.splice(0,c);return}D.splice(0,c);Sa(b);p=new Uint8Array(2048);q=0;var V=a.partialBoundaries;
for(c=0;c<V.length;c++){var aa=V[c];a:{v=a;C=b;var K=aa.completedSegments;for(A=0;A<K.length;A++)if(!rh(v,C,aa,K[A])){A++;K.splice(0,A);var N=!1;break a}K.splice(0,A);N=af(C,aa.contentState,v.renderState)}if(!N){a.destination=null;c++;V.splice(0,c);return}}V.splice(0,c);var O=a.completedBoundaries;for(c=0;c<O.length;c++)if(!qh(a,b,O[c])){a.destination=null;c++;O.splice(0,c);return}O.splice(0,c)}}finally{0===a.allPendingTasks&&0===a.pingedTasks.length&&0===a.clientRenderedBoundaries.length&&0===a.completedBoundaries.length?
(a.flushScheduled=!1,c=a.resumableState,c.hasBody&&t(b,Wc("body")),c.hasHtml&&t(b,Wc("html")),Sa(b),b.close(),a.destination=null):Sa(b)}}function sh(a){a.flushScheduled=null!==a.destination;Bf?setTimeout(function(){return Cf.run(a,Sg,a)},0):setTimeout(function(){return Sg(a)},0);null===a.trackedPostpones&&(Bf?setTimeout(function(){return Cf.run(a,th,a)},0):setTimeout(function(){return th(a)},0))}function th(a){lh(a,0===a.pendingRootTasks)}
function wf(a){!1===a.flushScheduled&&0===a.pingedTasks.length&&null!==a.destination&&(a.flushScheduled=!0,setTimeout(function(){var b=a.destination;b?mh(a,b):a.flushScheduled=!1},0))}function uh(a,b){try{var c=a.abortableTasks;if(0<c.size){var d=void 0===b?Error("The render was aborted by the server without a reason."):b;c.forEach(function(e){return ih(e,a,d)});c.clear()}null!==a.destination&&mh(a,a.destination)}catch(e){X(a,e,{}),Xg(a,e)}}
exports.renderToReadableStream=function(a,b){return new Promise(function(c,d){var e,f,h=new Promise(function(u,x){f=u;e=x}),k=b?b.onHeaders:void 0,g;k&&(g=function(u){k(new Headers(u))});var l=ec(b?b.identifierPrefix:void 0,b?b.unstable_externalRuntimeSrc:void 0,b?b.bootstrapScriptContent:void 0,b?b.bootstrapScripts:void 0,b?b.bootstrapModules:void 0),m=Ng(a,l,dc(l,b?b.nonce:void 0,b?b.unstable_externalRuntimeSrc:void 0,b?b.importMap:void 0,g,b?b.maxHeadersLength:void 0),fc(b?b.namespaceURI:void 0),
b?b.progressiveChunkSize:void 0,b?b.onError:void 0,f,function(){var u=new ReadableStream({type:"bytes",pull:function(x){if(1===m.status)m.status=2,eb(x,m.fatalError);else if(2!==m.status&&null===m.destination){m.destination=x;try{mh(m,x)}catch(v){X(m,v,{}),Xg(m,v)}}},cancel:function(x){m.destination=null;uh(m,x)}},{highWaterMark:0});u.allReady=h;c(u)},function(u){h.catch(function(){});d(u)},e,b?b.onPostpone:void 0,b?b.formState:void 0);if(b&&b.signal){var n=b.signal;if(n.aborted)uh(m,n.reason);else{var r=
function(){uh(m,n.reason);n.removeEventListener("abort",r)};n.addEventListener("abort",r)}}sh(m)})};exports.version="19.0.0-canary-96c584661-20240412";

//# sourceMappingURL=react-dom-server.edge.production.min.js.map
